# Copyright 2015 Cisco Systems, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

""" This is an auto-generated module containing ManagedObject Meta information. """

from .imccoremeta import ImcVersion
from .imccoremeta import MoMeta


class VersionMeta:
    """ This class contains all the ImcVersion supported by this package."""
    Version151f = ImcVersion("1.5(1f)")
    Version151x = ImcVersion("1.5(1x)")
    Version152 = ImcVersion("152")
    Version153 = ImcVersion("153")
    Version154 = ImcVersion("154")
    Version2010b = ImcVersion("2.0(10b)")
    Version2013e = ImcVersion("2.0(13e)")
    Version201a = ImcVersion("2.0(1a)")
    Version202c = ImcVersion("2.0(2c)")
    Version203d = ImcVersion("2.0(3d)")
    Version204c = ImcVersion("2.0(4c)")
    Version208d = ImcVersion("2.0(8d)")
    Version209c = ImcVersion("2.0(9c)")

MO_CLASS_ID = frozenset([
    "AaaLdap",
    "AaaLdapRoleGroup",
    "AaaSession",
    "AaaUser",
    "AaaUserEp",
    "AaaUserPolicy",
    "ActivatePIDCatalog",
    "AdaptorCfgBackup",
    "AdaptorCfgImporter",
    "AdaptorConnectorInfo",
    "AdaptorEthCompQueueProfile",
    "AdaptorEthGenProfile",
    "AdaptorEthISCSIProfile",
    "AdaptorEthInterruptProfile",
    "AdaptorEthOffloadProfile",
    "AdaptorEthRdmaProfile",
    "AdaptorEthRecvQueueProfile",
    "AdaptorEthUSNICProfile",
    "AdaptorEthWorkQueueProfile",
    "AdaptorExtEthIf",
    "AdaptorExtIpV6RssHashProfile",
    "AdaptorFcBootTable",
    "AdaptorFcCdbWorkQueueProfile",
    "AdaptorFcErrorRecoveryProfile",
    "AdaptorFcGenProfile",
    "AdaptorFcInterruptProfile",
    "AdaptorFcPersistentBindings",
    "AdaptorFcPortFLogiProfile",
    "AdaptorFcPortPLogiProfile",
    "AdaptorFcPortProfile",
    "AdaptorFcRecvQueueProfile",
    "AdaptorFcWorkQueueProfile",
    "AdaptorGenProfile",
    "AdaptorHostEthIf",
    "AdaptorHostFcIf",
    "AdaptorIpV4RssHashProfile",
    "AdaptorIpV6RssHashProfile",
    "AdaptorLinkTraining",
    "AdaptorPortProfiles",
    "AdaptorRssProfile",
    "AdaptorUnit",
    "AdaptorVMFexEthIf",
    "AdaptorVMFexEthProfile",
    "AdvancedPowerProfile",
    "BiosBOT",
    "BiosBootDev",
    "BiosBootDevGrp",
    "BiosBootDevPrecision",
    "BiosBootMode",
    "BiosPassword",
    "BiosPlatformDefaults",
    "BiosSettings",
    "BiosUnit",
    "BiosVfASPMSupport",
    "BiosVfAdjacentCacheLinePrefetch",
    "BiosVfAltitude",
    "BiosVfAssertNMIOnPERR",
    "BiosVfAssertNMIOnSERR",
    "BiosVfAutonumousCstateEnable",
    "BiosVfBootOptionRetry",
    "BiosVfCDNEnable",
    "BiosVfCDNSupport",
    "BiosVfCPUEnergyPerformance",
    "BiosVfCPUFrequencyFloor",
    "BiosVfCPUPerformance",
    "BiosVfCPUPowerManagement",
    "BiosVfCkeLowPolicy",
    "BiosVfCmciEnable",
    "BiosVfConsoleRedirection",
    "BiosVfCoreMultiProcessing",
    "BiosVfDCUPrefetch",
    "BiosVfDRAMClockThrottling",
    "BiosVfDemandScrub",
    "BiosVfDirectCacheAccess",
    "BiosVfDramRefreshRate",
    "BiosVfEnhancedIntelSpeedStepTech",
    "BiosVfExecuteDisableBit",
    "BiosVfExtendedAPIC",
    "BiosVfFRB2Enable",
    "BiosVfHWPMEnable",
    "BiosVfHardwarePrefetch",
    "BiosVfIOHResource",
    "BiosVfIntelHyperThreadingTech",
    "BiosVfIntelTurboBoostTech",
    "BiosVfIntelVTForDirectedIO",
    "BiosVfIntelVirtualizationTechnology",
    "BiosVfLOMPortOptionROM",
    "BiosVfLegacyUSBSupport",
    "BiosVfLvDIMMSupport",
    "BiosVfMMCFGBase",
    "BiosVfMemoryInterleave",
    "BiosVfMemoryMappedIOAbove4GB",
    "BiosVfMirroringMode",
    "BiosVfNUMAOptimized",
    "BiosVfOSBootWatchdogTimer",
    "BiosVfOSBootWatchdogTimerPolicy",
    "BiosVfOSBootWatchdogTimerTimeout",
    "BiosVfOnboardNIC",
    "BiosVfOnboardStorage",
    "BiosVfOnboardStorageSWStack",
    "BiosVfOutOfBandMgmtPort",
    "BiosVfPCIOptionROMs",
    "BiosVfPCISlotOptionROMEnable",
    "BiosVfPCIeSSDHotPlugSupport",
    "BiosVfPOSTErrorPause",
    "BiosVfPStateCoordType",
    "BiosVfPackageCStateLimit",
    "BiosVfPatrolScrub",
    "BiosVfPatrolScrubDuration",
    "BiosVfPchUsb30Mode",
    "BiosVfPciRomClp",
    "BiosVfProcessorC1E",
    "BiosVfProcessorC3Report",
    "BiosVfProcessorC6Report",
    "BiosVfProcessorCState",
    "BiosVfPwrPerfTuning",
    "BiosVfQPIConfig",
    "BiosVfQpiSnoopMode",
    "BiosVfResumeOnACPowerLoss",
    "BiosVfSataModeSelect",
    "BiosVfSelectMemoryRASConfiguration",
    "BiosVfSerialPortAEnable",
    "BiosVfSparingMode",
    "BiosVfSrIov",
    "BiosVfTPMSupport",
    "BiosVfUCSMBootOrderRuleControl",
    "BiosVfUSBBootConfig",
    "BiosVfUSBEmulation",
    "BiosVfUSBPortsConfig",
    "BiosVfVgaPriority",
    "BiosVfWorkLoadConfig",
    "CertificateManagement",
    "CommHttp",
    "CommHttps",
    "CommIpmiLan",
    "CommKvm",
    "CommNtpProvider",
    "CommSnmp",
    "CommSnmpTrap",
    "CommSnmpUser",
    "CommSsh",
    "CommSvcEp",
    "CommSyslog",
    "CommSyslogClient",
    "CommVMedia",
    "CommVMediaMap",
    "ComputeBoard",
    "ComputeMbPowerStats",
    "ComputeRackUnit",
    "ComputeRackUnitMbTempStats",
    "CurrentCertificate",
    "DownloadLdapCACertificate",
    "EquipmentFan",
    "EquipmentFanModule",
    "EquipmentIndicatorLed",
    "EquipmentLocatorLed",
    "EquipmentPsu",
    "EquipmentPsuColdRedundancy",
    "EquipmentPsuFan",
    "EquipmentTpm",
    "Error",
    "EventManagement",
    "ExportLdapCACertificate",
    "FaultInst",
    "FirmwareBootDefinition",
    "FirmwareBootUnit",
    "FirmwareRunning",
    "FirmwareUpdatable",
    "GenerateCertificateSigningRequest",
    "GeneratedStorageControllerKeyId",
    "HuuController",
    "HuuFirmwareCatalog",
    "HuuFirmwareCatalogComponent",
    "HuuFirmwareComponent",
    "HuuFirmwareRunning",
    "HuuFirmwareUpdateCancel",
    "HuuFirmwareUpdateStatus",
    "HuuFirmwareUpdater",
    "HuuUpdateComponentStatus",
    "IodController",
    "IodSnapshotCancel",
    "IodSnapshotStart",
    "IodSnapshotStatus",
    "IpBlocking",
    "LdapCACertificate",
    "LdapCACertificateManagement",
    "LsbootBootSecurity",
    "LsbootDef",
    "LsbootDevPrecision",
    "LsbootEfi",
    "LsbootHdd",
    "LsbootIscsi",
    "LsbootLan",
    "LsbootLocalStorage",
    "LsbootNVMe",
    "LsbootPchStorage",
    "LsbootPxe",
    "LsbootSan",
    "LsbootSd",
    "LsbootStorage",
    "LsbootUefiShell",
    "LsbootUsb",
    "LsbootVMedia",
    "LsbootVirtualMedia",
    "MemoryArray",
    "MemoryUnit",
    "MemoryUnitEnvStats",
    "MgmtBackup",
    "MgmtController",
    "MgmtIf",
    "MgmtImporter",
    "NetworkAdapterEthIf",
    "NetworkAdapterUnit",
    "OneTimeBootDevice",
    "PciEquipSlot",
    "PidCatalog",
    "PidCatalogCpu",
    "PidCatalogDimm",
    "PidCatalogHdd",
    "PidCatalogPCIAdapter",
    "PlatformEventFilters",
    "PowerBudget",
    "PowerMonitor",
    "ProcessorEnvStats",
    "ProcessorUnit",
    "SelfEncryptStorageController",
    "ServerUtilization",
    "SolIf",
    "StandardPowerProfile",
    "StorageController",
    "StorageControllerHealth",
    "StorageControllerNVMe",
    "StorageControllerProps",
    "StorageControllerSettings",
    "StorageFlexFlashController",
    "StorageFlexFlashControllerProps",
    "StorageFlexFlashOperationalProfile",
    "StorageFlexFlashPhysicalDrive",
    "StorageFlexFlashVirtualDrive",
    "StorageFlexFlashVirtualDriveImageMap",
    "StorageLocalDisk",
    "StorageLocalDiskProps",
    "StorageLocalDiskSlotEp",
    "StorageLocalDiskUsage",
    "StorageOperation",
    "StorageRaidBattery",
    "StorageSasExpander",
    "StorageUnusedLocalDisk",
    "StorageVirtualDrive",
    "StorageVirtualDriveCreatorUsingUnusedPhysicalDrive",
    "StorageVirtualDriveCreatorUsingVirtualDriveGroup",
    "StorageVirtualDriveWithDriveGroupSpace",
    "SuggestedStorageControllerSecurityKey",
    "SysdebugMEpLog",
    "SysdebugTechSupportExport",
    "SystemIOController",
    "TopRoot",
    "TopSystem",
    "UploadCertificate",
    "UploadPIDCatalog",
    "AutoPowerProfile",
    "BmcResetReason",
    "ChassisPIDCatalog",
    "ChassisPowerBudget",
    "ChassisPowerMonitor",
    "ChassisPowerUtilization",
    "CommEpIpmiLan",
    "CommSvcRack",
    "ComputeServerNode",
    "ComputeServerNodeMbTempStats",
    "ComputeServerRef",
    "ComputeSharedIOMbPowerStats",
    "ComputeSharedIOMbTempStats",
    "CustomPowerProfile",
    "EquipmentChassis",
    "EquipmentChassisLocatorLed",
    "EquipmentSharedIOModule",
    "EquipmentSystemIOController",
    "IoExpander",
    "MgmtBackupServer",
    "MgmtImporterServer",
    "SiocResetReason",
    "StorageEnclosure",
    "StorageEnclosureDisk",
    "StorageEnclosureDiskFwHelper",
    "StorageEnclosureDiskSlotEp",
    "StorageEnclosureDiskSlotZoneHelper",
    "StorageLocalDiskEp",
    "StorageSasUplink",
    "ThermalPowerProfile",
    ])


MO_CLASS_META = {
    "classic": {
        "AaaLdap": MoMeta("AaaLdap", "aaaLdap", "ldap-ext", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'topSystem'], [u'aaaLdapRoleGroup', u'ldapCACertificateManagement'], ["Get", "Set"]),
        "AaaLdapRoleGroup": MoMeta("AaaLdapRoleGroup", "aaaLdapRoleGroup", "rolegroup-[id]", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'aaaLdap'], [], ["Get", "Set"]),
        "AaaSession": MoMeta("AaaSession", "aaaSession", "term-[id]", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'aaaUserEp'], [], ["Get"]),
        "AaaUser": MoMeta("AaaUser", "aaaUser", "user-[id]", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'aaaUserEp'], [], ["Get", "Set"]),
        "AaaUserEp": MoMeta("AaaUserEp", "aaaUserEp", "user-ext", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'topSystem'], [u'aaaSession', u'aaaUser', u'aaaUserPolicy'], ["Get"]),
        "AaaUserPolicy": MoMeta("AaaUserPolicy", "aaaUserPolicy", "policy", VersionMeta.Version209c, "InputOutput", 0x1, [], ["admin", "user"], [u'aaaUserEp'], [], ["Get", "Set"]),
        "ActivatePIDCatalog": MoMeta("ActivatePIDCatalog", "activatePIDCatalog", "activate-catalog", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'pidCatalog'], [], [None]),
        "AdaptorCfgBackup": MoMeta("AdaptorCfgBackup", "adaptorCfgBackup", "export-config", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorUnit'], [], ["Get", "Set"]),
        "AdaptorCfgImporter": MoMeta("AdaptorCfgImporter", "adaptorCfgImporter", "import-config", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorUnit'], [], ["Get", "Set"]),
        "AdaptorConnectorInfo": MoMeta("AdaptorConnectorInfo", "adaptorConnectorInfo", "connector-info", VersionMeta.Version204c, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'adaptorExtEthIf'], [], ["Get"]),
        "AdaptorEthCompQueueProfile": MoMeta("AdaptorEthCompQueueProfile", "adaptorEthCompQueueProfile", "eth-comp-q", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostEthIf'], [], ["Get", "Set"]),
        "AdaptorEthGenProfile": MoMeta("AdaptorEthGenProfile", "adaptorEthGenProfile", "general", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostEthIf'], [], ["Get", "Set"]),
        "AdaptorEthISCSIProfile": MoMeta("AdaptorEthISCSIProfile", "adaptorEthISCSIProfile", "ethiscsi", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostEthIf'], [], ["Add", "Get", "Remove", "Set"]),
        "AdaptorEthInterruptProfile": MoMeta("AdaptorEthInterruptProfile", "adaptorEthInterruptProfile", "eth-int", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostEthIf'], [], ["Get", "Set"]),
        "AdaptorEthOffloadProfile": MoMeta("AdaptorEthOffloadProfile", "adaptorEthOffloadProfile", "eth-offload", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostEthIf'], [], ["Get", "Set"]),
        "AdaptorEthRdmaProfile": MoMeta("AdaptorEthRdmaProfile", "adaptorEthRdmaProfile", "rdmaprofile", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostEthIf'], [], [None]),
        "AdaptorEthRecvQueueProfile": MoMeta("AdaptorEthRecvQueueProfile", "adaptorEthRecvQueueProfile", "eth-rcv-q", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostEthIf'], [], ["Get", "Set"]),
        "AdaptorEthUSNICProfile": MoMeta("AdaptorEthUSNICProfile", "adaptorEthUSNICProfile", "ethusnic", VersionMeta.Version151x, "InputOutput", 0x1, [], ["admin"], [u'adaptorHostEthIf'], [], ["Get", "Remove", "Set"]),
        "AdaptorEthWorkQueueProfile": MoMeta("AdaptorEthWorkQueueProfile", "adaptorEthWorkQueueProfile", "eth-work-q", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostEthIf'], [], ["Get", "Set"]),
        "AdaptorExtEthIf": MoMeta("AdaptorExtEthIf", "adaptorExtEthIf", "ext-eth-[port_id]", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorUnit'], [u'adaptorConnectorInfo', u'adaptorLinkTraining', u'adaptorPortProfiles'], ["Get", "Set"]),
        "AdaptorExtIpV6RssHashProfile": MoMeta("AdaptorExtIpV6RssHashProfile", "adaptorExtIpV6RssHashProfile", "ext-ipv6-rss-hash", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostEthIf'], [], ["Get", "Set"]),
        "AdaptorFcBootTable": MoMeta("AdaptorFcBootTable", "adaptorFcBootTable", "fcboot-[index]", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostFcIf'], [], ["Add", "Get", "Set"]),
        "AdaptorFcCdbWorkQueueProfile": MoMeta("AdaptorFcCdbWorkQueueProfile", "adaptorFcCdbWorkQueueProfile", "fc-cdb-work-q", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostFcIf'], [], ["Get", "Set"]),
        "AdaptorFcErrorRecoveryProfile": MoMeta("AdaptorFcErrorRecoveryProfile", "adaptorFcErrorRecoveryProfile", "fc-err-rec", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostFcIf'], [], ["Get", "Set"]),
        "AdaptorFcGenProfile": MoMeta("AdaptorFcGenProfile", "adaptorFcGenProfile", "general", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostFcIf'], [], ["Get", "Set"]),
        "AdaptorFcInterruptProfile": MoMeta("AdaptorFcInterruptProfile", "adaptorFcInterruptProfile", "fc-int", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostFcIf'], [], ["Get", "Set"]),
        "AdaptorFcPersistentBindings": MoMeta("AdaptorFcPersistentBindings", "adaptorFcPersistentBindings", "perbi-[index]", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostFcIf'], [], ["Get"]),
        "AdaptorFcPortFLogiProfile": MoMeta("AdaptorFcPortFLogiProfile", "adaptorFcPortFLogiProfile", "fc-port-flogi", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostFcIf'], [], ["Get", "Set"]),
        "AdaptorFcPortPLogiProfile": MoMeta("AdaptorFcPortPLogiProfile", "adaptorFcPortPLogiProfile", "fc-port-plogi", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostFcIf'], [], ["Get", "Set"]),
        "AdaptorFcPortProfile": MoMeta("AdaptorFcPortProfile", "adaptorFcPortProfile", "fc-port", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostFcIf'], [], ["Get", "Set"]),
        "AdaptorFcRecvQueueProfile": MoMeta("AdaptorFcRecvQueueProfile", "adaptorFcRecvQueueProfile", "fc-rcv-q", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostFcIf'], [], ["Get", "Set"]),
        "AdaptorFcWorkQueueProfile": MoMeta("AdaptorFcWorkQueueProfile", "adaptorFcWorkQueueProfile", "fc-work-q", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostFcIf'], [], ["Get", "Set"]),
        "AdaptorGenProfile": MoMeta("AdaptorGenProfile", "adaptorGenProfile", "general", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorUnit'], [], ["Get", "Set"]),
        "AdaptorHostEthIf": MoMeta("AdaptorHostEthIf", "adaptorHostEthIf", "host-eth-[name]", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorUnit'], [], ["Add", "Get", "Remove", "Set"]),
        "AdaptorHostFcIf": MoMeta("AdaptorHostFcIf", "adaptorHostFcIf", "host-fc-[name]", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorUnit'], [u'adaptorFcPersistentBindings'], ["Add", "Get", "Remove", "Set"]),
        "AdaptorIpV4RssHashProfile": MoMeta("AdaptorIpV4RssHashProfile", "adaptorIpV4RssHashProfile", "ipv4-rss-hash", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostEthIf'], [], ["Get", "Set"]),
        "AdaptorIpV6RssHashProfile": MoMeta("AdaptorIpV6RssHashProfile", "adaptorIpV6RssHashProfile", "ipv6-rss-hash", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostEthIf'], [], ["Get", "Set"]),
        "AdaptorLinkTraining": MoMeta("AdaptorLinkTraining", "adaptorLinkTraining", "link-training", VersionMeta.Version204c, "InputOutput", 0x1, [], ["admin", "user"], [u'adaptorExtEthIf'], [], ["Get", "Set"]),
        "AdaptorPortProfiles": MoMeta("AdaptorPortProfiles", "adaptorPortProfiles", "port-profiles", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'adaptorExtEthIf'], [], ["Get"]),
        "AdaptorRssProfile": MoMeta("AdaptorRssProfile", "adaptorRssProfile", "rss", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostEthIf'], [], ["Get", "Set"]),
        "AdaptorUnit": MoMeta("AdaptorUnit", "adaptorUnit", "adaptor-[id]", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'computeRackUnit'], [u'adaptorCfgBackup', u'adaptorCfgImporter', u'adaptorExtEthIf', u'adaptorHostEthIf', u'adaptorHostFcIf', u'adaptorVMFexEthIf', u'faultInst', u'mgmtController'], ["Get", "Set"]),
        "AdaptorVMFexEthIf": MoMeta("AdaptorVMFexEthIf", "adaptorVMFexEthIf", "vmfex-eth-[name]", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'adaptorUnit'], [], ["Get"]),
        "AdaptorVMFexEthProfile": MoMeta("AdaptorVMFexEthProfile", "adaptorVMFexEthProfile", "vmfexprofile", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'adaptorVMFexEthIf'], [], ["Get"]),
        "AdvancedPowerProfile": MoMeta("AdvancedPowerProfile", "advancedPowerProfile", "advpwrprof", VersionMeta.Version202c, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'powerBudget'], [], ["Get", "Set"]),
        "BiosBOT": MoMeta("BiosBOT", "biosBOT", "bdgep", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'biosUnit'], [u'biosBootDevGrp', u'biosBootDevPrecision', u'biosBootMode'], ["Get"]),
        "BiosBootDev": MoMeta("BiosBootDev", "biosBootDev", "bdv-[order]", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'biosBootDevGrp'], [], ["Get"]),
        "BiosBootDevGrp": MoMeta("BiosBootDevGrp", "biosBootDevGrp", "bdg-[order]", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'biosBOT'], [u'biosBootDev'], ["Get"]),
        "BiosBootDevPrecision": MoMeta("BiosBootDevPrecision", "biosBootDevPrecision", "bdvp-[order]", VersionMeta.Version201a, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'biosBOT'], [], ["Get"]),
        "BiosBootMode": MoMeta("BiosBootMode", "biosBootMode", "boot-mode", VersionMeta.Version201a, "OutputOnly", 0x1, [], ["admin", "user"], [u'biosBOT'], [], ["Get"]),
        "BiosPassword": MoMeta("BiosPassword", "biosPassword", "bios-pw", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [], [], [None]),
        "BiosPlatformDefaults": MoMeta("BiosPlatformDefaults", "biosPlatformDefaults", "bios-defaults", VersionMeta.Version151x, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'biosUnit'], [u'biosVfASPMSupport', u'biosVfAdjacentCacheLinePrefetch', u'biosVfAltitude', u'biosVfAssertNMIOnPERR', u'biosVfAssertNMIOnSERR', u'biosVfAutonumousCstateEnable', u'biosVfBootOptionRetry', u'biosVfCDNEnable', u'biosVfCDNSupport', u'biosVfCPUEnergyPerformance', u'biosVfCPUFrequencyFloor', u'biosVfCPUPerformance', u'biosVfCPUPowerManagement', u'biosVfCkeLowPolicy', u'biosVfCmciEnable', u'biosVfConsoleRedirection', u'biosVfCoreMultiProcessing', u'biosVfDCUPrefetch', u'biosVfDRAMClockThrottling', u'biosVfDemandScrub', u'biosVfDirectCacheAccess', u'biosVfDramRefreshRate', u'biosVfEnhancedIntelSpeedStepTech', u'biosVfExecuteDisableBit', u'biosVfExtendedAPIC', u'biosVfFRB2Enable', u'biosVfHWPMEnable', u'biosVfHardwarePrefetch', u'biosVfIOHResource', u'biosVfIntelHyperThreadingTech', u'biosVfIntelTurboBoostTech', u'biosVfIntelVTForDirectedIO', u'biosVfIntelVirtualizationTechnology', u'biosVfLOMPortOptionROM', u'biosVfLegacyUSBSupport', u'biosVfLvDIMMSupport', u'biosVfMMCFGBase', u'biosVfMemoryInterleave', u'biosVfMemoryMappedIOAbove4GB', u'biosVfMirroringMode', u'biosVfNUMAOptimized', u'biosVfOSBootWatchdogTimer', u'biosVfOSBootWatchdogTimerPolicy', u'biosVfOSBootWatchdogTimerTimeout', u'biosVfOnboardNIC', u'biosVfOnboardStorage', u'biosVfOnboardStorageSWStack', u'biosVfOutOfBandMgmtPort', u'biosVfPCIOptionROMs', u'biosVfPCISlotOptionROMEnable', u'biosVfPCIeSSDHotPlugSupport', u'biosVfPOSTErrorPause', u'biosVfPStateCoordType', u'biosVfPackageCStateLimit', u'biosVfPatrolScrub', u'biosVfPatrolScrubDuration', u'biosVfPchUsb30Mode', u'biosVfPciRomClp', u'biosVfProcessorC1E', u'biosVfProcessorC3Report', u'biosVfProcessorC6Report', u'biosVfProcessorCState', u'biosVfPwrPerfTuning', u'biosVfQPIConfig', u'biosVfQpiSnoopMode', u'biosVfSataModeSelect', u'biosVfSelectMemoryRASConfiguration', u'biosVfSerialPortAEnable', u'biosVfSparingMode', u'biosVfSrIov', u'biosVfTPMSupport', u'biosVfUCSMBootOrderRuleControl', u'biosVfUSBBootConfig', u'biosVfUSBEmulation', u'biosVfUSBPortsConfig', u'biosVfVgaPriority', u'biosVfWorkLoadConfig'], ["Get"]),
        "BiosSettings": MoMeta("BiosSettings", "biosSettings", "bios-settings", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosUnit'], [], ["Get"]),
        "BiosUnit": MoMeta("BiosUnit", "biosUnit", "bios", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'computeRackUnit'], [u'biosBOT', u'biosPlatformDefaults', u'biosSettings', u'firmwareBootDefinition', u'firmwareRunning', u'firmwareUpdatable'], ["Get", "Set"]),
        "BiosVfASPMSupport": MoMeta("BiosVfASPMSupport", "biosVfASPMSupport", "ASPM-Support", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfAdjacentCacheLinePrefetch": MoMeta("BiosVfAdjacentCacheLinePrefetch", "biosVfAdjacentCacheLinePrefetch", "Adjacent-Cache-Line-Prefetch", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfAltitude": MoMeta("BiosVfAltitude", "biosVfAltitude", "Altitude-Param", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfAssertNMIOnPERR": MoMeta("BiosVfAssertNMIOnPERR", "biosVfAssertNMIOnPERR", "Assert-NMI-on-PERR", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfAssertNMIOnSERR": MoMeta("BiosVfAssertNMIOnSERR", "biosVfAssertNMIOnSERR", "Assert-NMI-on-SERR", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfAutonumousCstateEnable": MoMeta("BiosVfAutonumousCstateEnable", "biosVfAutonumousCstateEnable", "Autonumous-Cstate-Enable", VersionMeta.Version2010b, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfBootOptionRetry": MoMeta("BiosVfBootOptionRetry", "biosVfBootOptionRetry", "Boot-option-retry", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfCDNEnable": MoMeta("BiosVfCDNEnable", "biosVfCDNEnable", "CDN-Enable", VersionMeta.Version204c, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfCDNSupport": MoMeta("BiosVfCDNSupport", "biosVfCDNSupport", "CDN-Support", VersionMeta.Version201a, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfCPUEnergyPerformance": MoMeta("BiosVfCPUEnergyPerformance", "biosVfCPUEnergyPerformance", "CPU-EngPerfBias", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfCPUFrequencyFloor": MoMeta("BiosVfCPUFrequencyFloor", "biosVfCPUFrequencyFloor", "CPU-FreqFloor", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfCPUPerformance": MoMeta("BiosVfCPUPerformance", "biosVfCPUPerformance", "CPU-Performance", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfCPUPowerManagement": MoMeta("BiosVfCPUPowerManagement", "biosVfCPUPowerManagement", "CPU-PowerManagement", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfCkeLowPolicy": MoMeta("BiosVfCkeLowPolicy", "biosVfCkeLowPolicy", "Cke-Low-Policy", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfCmciEnable": MoMeta("BiosVfCmciEnable", "biosVfCmciEnable", "Cmci-Enable", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfConsoleRedirection": MoMeta("BiosVfConsoleRedirection", "biosVfConsoleRedirection", "Console-redirection", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfCoreMultiProcessing": MoMeta("BiosVfCoreMultiProcessing", "biosVfCoreMultiProcessing", "Core-MultiProcessing", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfDCUPrefetch": MoMeta("BiosVfDCUPrefetch", "biosVfDCUPrefetch", "DCU-Prefetch", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfDRAMClockThrottling": MoMeta("BiosVfDRAMClockThrottling", "biosVfDRAMClockThrottling", "DRAM-Clock-Throttling", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfDemandScrub": MoMeta("BiosVfDemandScrub", "biosVfDemandScrub", "Demand-Scrub-Param", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfDirectCacheAccess": MoMeta("BiosVfDirectCacheAccess", "biosVfDirectCacheAccess", "Direct-Cache-Access", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfDramRefreshRate": MoMeta("BiosVfDramRefreshRate", "biosVfDramRefreshRate", "dram-refresh-rate", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfEnhancedIntelSpeedStepTech": MoMeta("BiosVfEnhancedIntelSpeedStepTech", "biosVfEnhancedIntelSpeedStepTech", "Enhanced-Intel-SpeedStep-Tech", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfExecuteDisableBit": MoMeta("BiosVfExecuteDisableBit", "biosVfExecuteDisableBit", "Execute-Disable-Bit", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfExtendedAPIC": MoMeta("BiosVfExtendedAPIC", "biosVfExtendedAPIC", "Extended-APIC", VersionMeta.Version201a, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfFRB2Enable": MoMeta("BiosVfFRB2Enable", "biosVfFRB2Enable", "FRB2-Enable", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfHWPMEnable": MoMeta("BiosVfHWPMEnable", "biosVfHWPMEnable", "HWPM-Enable", VersionMeta.Version2010b, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfHardwarePrefetch": MoMeta("BiosVfHardwarePrefetch", "biosVfHardwarePrefetch", "Hardware-Prefetch", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfIOHResource": MoMeta("BiosVfIOHResource", "biosVfIOHResource", "ioh-resource", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfIntelHyperThreadingTech": MoMeta("BiosVfIntelHyperThreadingTech", "biosVfIntelHyperThreadingTech", "Intel-HyperThreading-Tech", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfIntelTurboBoostTech": MoMeta("BiosVfIntelTurboBoostTech", "biosVfIntelTurboBoostTech", "Intel-Turbo-Boost-Tech", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfIntelVTForDirectedIO": MoMeta("BiosVfIntelVTForDirectedIO", "biosVfIntelVTForDirectedIO", "Intel-VT-for-directed-IO", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfIntelVirtualizationTechnology": MoMeta("BiosVfIntelVirtualizationTechnology", "biosVfIntelVirtualizationTechnology", "Intel-Virtualization-Technology", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfLOMPortOptionROM": MoMeta("BiosVfLOMPortOptionROM", "biosVfLOMPortOptionROM", "LOMPort-OptionROM", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfLegacyUSBSupport": MoMeta("BiosVfLegacyUSBSupport", "biosVfLegacyUSBSupport", "LegacyUSB-Support", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfLvDIMMSupport": MoMeta("BiosVfLvDIMMSupport", "biosVfLvDIMMSupport", "LvDIMM-Support", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfMMCFGBase": MoMeta("BiosVfMMCFGBase", "biosVfMMCFGBase", "MMCFG-Base", VersionMeta.Version201a, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfMemoryInterleave": MoMeta("BiosVfMemoryInterleave", "biosVfMemoryInterleave", "Memory-Interleave", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfMemoryMappedIOAbove4GB": MoMeta("BiosVfMemoryMappedIOAbove4GB", "biosVfMemoryMappedIOAbove4GB", "Memory-mapped-IO-above-4GB", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfMirroringMode": MoMeta("BiosVfMirroringMode", "biosVfMirroringMode", "Mirroring-Mode", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfNUMAOptimized": MoMeta("BiosVfNUMAOptimized", "biosVfNUMAOptimized", "NUMA-optimized", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfOSBootWatchdogTimer": MoMeta("BiosVfOSBootWatchdogTimer", "biosVfOSBootWatchdogTimer", "OS-Boot-Watchdog-Timer-Param", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfOSBootWatchdogTimerPolicy": MoMeta("BiosVfOSBootWatchdogTimerPolicy", "biosVfOSBootWatchdogTimerPolicy", "OS-Boot-Watchdog-Timer-Policy", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfOSBootWatchdogTimerTimeout": MoMeta("BiosVfOSBootWatchdogTimerTimeout", "biosVfOSBootWatchdogTimerTimeout", "OS-Boot-Watchdog-Timer-Time-Out", VersionMeta.Version151x, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfOnboardNIC": MoMeta("BiosVfOnboardNIC", "biosVfOnboardNIC", "Onboard-NIC", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfOnboardStorage": MoMeta("BiosVfOnboardStorage", "biosVfOnboardStorage", "Onboard-Storage", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfOnboardStorageSWStack": MoMeta("BiosVfOnboardStorageSWStack", "biosVfOnboardStorageSWStack", "Onboard-SCU-Storage-SWStack", VersionMeta.Version151x, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfOutOfBandMgmtPort": MoMeta("BiosVfOutOfBandMgmtPort", "biosVfOutOfBandMgmtPort", "OoB-MgmtPort", VersionMeta.Version154, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfPCIOptionROMs": MoMeta("BiosVfPCIOptionROMs", "biosVfPCIOptionROMs", "PCI-OptionROMs", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfPCISlotOptionROMEnable": MoMeta("BiosVfPCISlotOptionROMEnable", "biosVfPCISlotOptionROMEnable", "PCI-Slot-OptionROM-Enable", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfPCIeSSDHotPlugSupport": MoMeta("BiosVfPCIeSSDHotPlugSupport", "biosVfPCIeSSDHotPlugSupport", "PCIeSSDHotPlugSupport", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfPOSTErrorPause": MoMeta("BiosVfPOSTErrorPause", "biosVfPOSTErrorPause", "POST-error-pause", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfPStateCoordType": MoMeta("BiosVfPStateCoordType", "biosVfPStateCoordType", "p-state-coord", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfPackageCStateLimit": MoMeta("BiosVfPackageCStateLimit", "biosVfPackageCStateLimit", "Package-CState-Limit", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfPatrolScrub": MoMeta("BiosVfPatrolScrub", "biosVfPatrolScrub", "Patrol-Scrub-Param", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfPatrolScrubDuration": MoMeta("BiosVfPatrolScrubDuration", "biosVfPatrolScrubDuration", "Patrol-Scrub-Duration", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfPchUsb30Mode": MoMeta("BiosVfPchUsb30Mode", "biosVfPchUsb30Mode", "PchUsb30-Mode", VersionMeta.Version202c, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfPciRomClp": MoMeta("BiosVfPciRomClp", "biosVfPciRomClp", "pci-rom-clp", VersionMeta.Version204c, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfProcessorC1E": MoMeta("BiosVfProcessorC1E", "biosVfProcessorC1E", "Processor-C1E", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfProcessorC3Report": MoMeta("BiosVfProcessorC3Report", "biosVfProcessorC3Report", "Processor-C3-Report", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfProcessorC6Report": MoMeta("BiosVfProcessorC6Report", "biosVfProcessorC6Report", "Processor-C6-Report", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfProcessorCState": MoMeta("BiosVfProcessorCState", "biosVfProcessorCState", "Processor-C-State", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfPwrPerfTuning": MoMeta("BiosVfPwrPerfTuning", "biosVfPwrPerfTuning", "Pwr-Perf-Tuning", VersionMeta.Version204c, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfQPIConfig": MoMeta("BiosVfQPIConfig", "biosVfQPIConfig", "QPI-Config", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfQpiSnoopMode": MoMeta("BiosVfQpiSnoopMode", "biosVfQpiSnoopMode", "QPI-Snoop-Mode", VersionMeta.Version204c, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfResumeOnACPowerLoss": MoMeta("BiosVfResumeOnACPowerLoss", "biosVfResumeOnACPowerLoss", "Resume-on-AC-power-loss", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'computeBoard'], [], ["Get", "Set"]),
        "BiosVfSataModeSelect": MoMeta("BiosVfSataModeSelect", "biosVfSataModeSelect", "Pch-Sata-Mode", VersionMeta.Version202c, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfSelectMemoryRASConfiguration": MoMeta("BiosVfSelectMemoryRASConfiguration", "biosVfSelectMemoryRASConfiguration", "SelectMemory-RAS-configuration", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfSerialPortAEnable": MoMeta("BiosVfSerialPortAEnable", "biosVfSerialPortAEnable", "Serial-port-A-enable", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfSparingMode": MoMeta("BiosVfSparingMode", "biosVfSparingMode", "Sparing-Mode", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfSrIov": MoMeta("BiosVfSrIov", "biosVfSrIov", "sr-iov", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfTPMSupport": MoMeta("BiosVfTPMSupport", "biosVfTPMSupport", "TPM-Support", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfUCSMBootOrderRuleControl": MoMeta("BiosVfUCSMBootOrderRuleControl", "biosVfUCSMBootOrderRuleControl", "Boot-Order-Rules", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfUSBBootConfig": MoMeta("BiosVfUSBBootConfig", "biosVfUSBBootConfig", "USB-Boot-Config", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfUSBEmulation": MoMeta("BiosVfUSBEmulation", "biosVfUSBEmulation", "USBEmulation-Support", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfUSBPortsConfig": MoMeta("BiosVfUSBPortsConfig", "biosVfUSBPortsConfig", "USB-Ports-Config", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfVgaPriority": MoMeta("BiosVfVgaPriority", "biosVfVgaPriority", "VgaPriority", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "BiosVfWorkLoadConfig": MoMeta("BiosVfWorkLoadConfig", "biosVfWorkLoadConfig", "work-load-config", VersionMeta.Version204c, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], ["Get", "Set"]),
        "CertificateManagement": MoMeta("CertificateManagement", "certificateManagement", "cert-mgmt", VersionMeta.Version209c, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'topSystem'], [u'currentCertificate', u'generateCertificateSigningRequest', u'uploadCertificate'], ["Get"]),
        "CommHttp": MoMeta("CommHttp", "commHttp", "http-svc", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'commSvcEp'], [], ["Get", "Set"]),
        "CommHttps": MoMeta("CommHttps", "commHttps", "https-svc", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'commSvcEp'], [], ["Get", "Set"]),
        "CommIpmiLan": MoMeta("CommIpmiLan", "commIpmiLan", "ipmi-lan-svc", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'commSvcEp'], [], ["Get", "Set"]),
        "CommKvm": MoMeta("CommKvm", "commKvm", "kvm-svc", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'commSvcEp'], [], ["Get", "Set"]),
        "CommNtpProvider": MoMeta("CommNtpProvider", "commNtpProvider", "ntp-svc", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'commSvcEp'], [], ["Get", "Set"]),
        "CommSnmp": MoMeta("CommSnmp", "commSnmp", "snmp-svc", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'commSvcEp'], [u'commSnmpTrap', u'commSnmpUser'], ["Get", "Set"]),
        "CommSnmpTrap": MoMeta("CommSnmpTrap", "commSnmpTrap", "snmp-trap-[id]", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'commSnmp'], [], ["Get", "Set"]),
        "CommSnmpUser": MoMeta("CommSnmpUser", "commSnmpUser", "snmpv3-user-[id]", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'commSnmp'], [], ["Get", "Set"]),
        "CommSsh": MoMeta("CommSsh", "commSsh", "ssh-svc", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'commSvcEp'], [], ["Get", "Set"]),
        "CommSvcEp": MoMeta("CommSvcEp", "commSvcEp", "svc-ext", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'topSystem'], [u'commHttp', u'commHttps', u'commIpmiLan', u'commKvm', u'commNtpProvider', u'commSnmp', u'commSsh', u'commSyslog', u'commVMedia'], ["Get"]),
        "CommSyslog": MoMeta("CommSyslog", "commSyslog", "syslog", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'commSvcEp'], [u'commSyslogClient'], ["Get", "Set"]),
        "CommSyslogClient": MoMeta("CommSyslogClient", "commSyslogClient", "client-[name]", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'commSyslog'], [], ["Get"]),
        "CommVMedia": MoMeta("CommVMedia", "commVMedia", "vmedia-svc", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'commSvcEp'], [u'commVMediaMap'], ["Get", "Set"]),
        "CommVMediaMap": MoMeta("CommVMediaMap", "commVMediaMap", "vmmap-[volume_name]", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'commVMedia'], [], ["Add", "Get"]),
        "ComputeBoard": MoMeta("ComputeBoard", "computeBoard", "board", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'computeRackUnit'], [u'biosVfResumeOnACPowerLoss', u'computeMbPowerStats', u'computeRackUnitMbTempStats', u'equipmentTpm', u'faultInst', u'memoryArray', u'pidCatalog', u'processorUnit', u'storageController', u'storageControllerNVMe', u'storageFlexFlashController', u'storageLocalDiskSlotEp'], ["Get"]),
        "ComputeMbPowerStats": MoMeta("ComputeMbPowerStats", "computeMbPowerStats", "power-stats", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'computeBoard'], [], ["Get"]),
        "ComputeRackUnit": MoMeta("ComputeRackUnit", "computeRackUnit", "rack-unit-[server_id]", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "user"], [u'topSystem'], [u'adaptorUnit', u'biosUnit', u'computeBoard', u'equipmentFanModule', u'equipmentIndicatorLed', u'equipmentLocatorLed', u'equipmentPsu', u'equipmentPsuColdRedundancy', u'eventManagement', u'faultInst', u'lsbootDef', u'lsbootDevPrecision', u'mgmtController', u'networkAdapterUnit', u'oneTimeBootDevice', u'pciEquipSlot', u'powerBudget', u'powerMonitor', u'serverUtilization', u'solIf', u'sysdebugTechSupportExport', u'systemIOController'], ["Get", "Set"]),
        "ComputeRackUnitMbTempStats": MoMeta("ComputeRackUnitMbTempStats", "computeRackUnitMbTempStats", "temp-stats", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'computeBoard'], [], ["Get"]),
        "CurrentCertificate": MoMeta("CurrentCertificate", "currentCertificate", "curr-cert", VersionMeta.Version209c, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'certificateManagement'], [], [None]),
        "DownloadLdapCACertificate": MoMeta("DownloadLdapCACertificate", "downloadLdapCACertificate", "ldap-ca-cert-download", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'ldapCACertificateManagement'], [], [None]),
        "EquipmentFan": MoMeta("EquipmentFan", "equipmentFan", "fan-[id]", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'equipmentFanModule'], [u'faultInst'], ["Get"]),
        "EquipmentFanModule": MoMeta("EquipmentFanModule", "equipmentFanModule", "fan-module-[tray]-[id]", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'computeRackUnit'], [u'equipmentFan'], ["Get"]),
        "EquipmentIndicatorLed": MoMeta("EquipmentIndicatorLed", "equipmentIndicatorLed", "indicator-led-[id]", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'computeRackUnit'], [], ["Get"]),
        "EquipmentLocatorLed": MoMeta("EquipmentLocatorLed", "equipmentLocatorLed", "locator-led", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'computeRackUnit'], [], ["Get", "Set"]),
        "EquipmentPsu": MoMeta("EquipmentPsu", "equipmentPsu", "psu-[id]", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'computeRackUnit'], [u'equipmentPsuFan', u'faultInst'], ["Get"]),
        "EquipmentPsuColdRedundancy": MoMeta("EquipmentPsuColdRedundancy", "equipmentPsuColdRedundancy", "psu-cold-redundancy", VersionMeta.Version204c, "InputOutput", 0x1, [], ["admin"], [u'computeRackUnit'], [], ["Get", "Set"]),
        "EquipmentPsuFan": MoMeta("EquipmentPsuFan", "equipmentPsuFan", "fan-[id]", VersionMeta.Version202c, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'equipmentPsu'], [], ["Get"]),
        "EquipmentTpm": MoMeta("EquipmentTpm", "equipmentTpm", "tpm", VersionMeta.Version201a, "OutputOnly", 0x1, [], ["read-only"], [u'computeBoard'], [], ["Get"]),
        "Error": MoMeta("Error", "error", "", VersionMeta.Version151f, "OutputOnly", 0x1, [], [""], [], [], [None]),
        "EventManagement": MoMeta("EventManagement", "eventManagement", "event-management", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'computeRackUnit'], [u'platformEventFilters'], [None]),
        "ExportLdapCACertificate": MoMeta("ExportLdapCACertificate", "exportLdapCACertificate", "ldap-ca-cert-export", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'ldapCACertificateManagement'], [], [None]),
        "FaultInst": MoMeta("FaultInst", "faultInst", "fault-[code]", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'adaptorUnit', u'computeBoard', u'computeRackUnit', u'equipmentFan', u'equipmentPsu', u'memoryArray', u'memoryUnit', u'pciEquipSlot', u'powerBudget', u'processorUnit', u'storageController', u'storageFlexFlashController', u'storageFlexFlashPhysicalDrive', u'storageFlexFlashVirtualDrive', u'storageLocalDisk', u'storageRaidBattery', u'storageVirtualDrive', u'sysdebugMEpLog'], [], ["Get"]),
        "FirmwareBootDefinition": MoMeta("FirmwareBootDefinition", "firmwareBootDefinition", "fw-boot-def", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'biosUnit', u'mgmtController', u'storageController', u'systemIOController'], [u'firmwareBootUnit'], ["Get"]),
        "FirmwareBootUnit": MoMeta("FirmwareBootUnit", "firmwareBootUnit", "bootunit-[type]", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'firmwareBootDefinition'], [], ["Get", "Set"]),
        "FirmwareRunning": MoMeta("FirmwareRunning", "firmwareRunning", "fw-[deployment]", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'biosUnit', u'mgmtController', u'storageController', u'storageControllerNVMe', u'systemIOController'], [], ["Get"]),
        "FirmwareUpdatable": MoMeta("FirmwareUpdatable", "firmwareUpdatable", "fw-updatable", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosUnit', u'mgmtController', u'systemIOController'], [], ["Get"]),
        "GenerateCertificateSigningRequest": MoMeta("GenerateCertificateSigningRequest", "generateCertificateSigningRequest", "gen-csr-req", VersionMeta.Version209c, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'certificateManagement'], [], [None]),
        "GeneratedStorageControllerKeyId": MoMeta("GeneratedStorageControllerKeyId", "generatedStorageControllerKeyId", "gen-key-id", VersionMeta.Version209c, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'storageController'], [], ["Get"]),
        "HuuController": MoMeta("HuuController", "huuController", "huu", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'topSystem'], [u'huuFirmwareCatalog', u'huuFirmwareRunning', u'huuFirmwareUpdateCancel', u'huuFirmwareUpdater'], ["Get"]),
        "HuuFirmwareCatalog": MoMeta("HuuFirmwareCatalog", "huuFirmwareCatalog", "firmwareCatalog", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'huuController'], [u'huuFirmwareCatalogComponent'], ["Get"]),
        "HuuFirmwareCatalogComponent": MoMeta("HuuFirmwareCatalogComponent", "huuFirmwareCatalogComponent", "id-[id]", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'huuFirmwareCatalog'], [], ["Get"]),
        "HuuFirmwareComponent": MoMeta("HuuFirmwareComponent", "huuFirmwareComponent", "component-[component]", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'huuFirmwareRunning'], [], ["Get"]),
        "HuuFirmwareRunning": MoMeta("HuuFirmwareRunning", "huuFirmwareRunning", "currentFirmware", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'huuController'], [u'huuFirmwareComponent'], ["Get"]),
        "HuuFirmwareUpdateCancel": MoMeta("HuuFirmwareUpdateCancel", "huuFirmwareUpdateCancel", "firmwareUpdateCancel", VersionMeta.Version152, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'huuController'], [], ["Get", "Set"]),
        "HuuFirmwareUpdateStatus": MoMeta("HuuFirmwareUpdateStatus", "huuFirmwareUpdateStatus", "updateStatus", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'huuFirmwareUpdater'], [u'huuUpdateComponentStatus'], ["Get"]),
        "HuuFirmwareUpdater": MoMeta("HuuFirmwareUpdater", "huuFirmwareUpdater", "firmwareUpdater", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'huuController'], [], ["Get"]),
        "HuuUpdateComponentStatus": MoMeta("HuuUpdateComponentStatus", "huuUpdateComponentStatus", "component-[component]", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'huuFirmwareUpdateStatus'], [], ["Get"]),
        "IodController": MoMeta("IodController", "iodController", "iod", VersionMeta.Version151x, "OutputOnly", 0x1, [], ["read-only"], [u'topSystem'], [u'iodSnapshotCancel', u'iodSnapshotStart', u'iodSnapshotStatus'], ["Get"]),
        "IodSnapshotCancel": MoMeta("IodSnapshotCancel", "iodSnapshotCancel", "snapshotCancel", VersionMeta.Version151x, "InputOutput", 0x1, [], ["admin"], [u'iodController'], [], [None]),
        "IodSnapshotStart": MoMeta("IodSnapshotStart", "iodSnapshotStart", "snapshotStart", VersionMeta.Version151x, "InputOutput", 0x1, [], ["admin"], [u'iodController'], [], [None]),
        "IodSnapshotStatus": MoMeta("IodSnapshotStatus", "iodSnapshotStatus", "snapshotStatus", VersionMeta.Version151x, "OutputOnly", 0x1, [], ["read-only"], [u'iodController'], [], ["Get"]),
        "IpBlocking": MoMeta("IpBlocking", "ipBlocking", "ip-block", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'mgmtIf'], [], ["Get", "Set"]),
        "LdapCACertificate": MoMeta("LdapCACertificate", "ldapCACertificate", "ldap-ca-cert", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "user"], [u'ldapCACertificateManagement'], [], [None]),
        "LdapCACertificateManagement": MoMeta("LdapCACertificateManagement", "ldapCACertificateManagement", "ldap-ca-cert-mgmt", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "user"], [u'aaaLdap'], [u'downloadLdapCACertificate', u'exportLdapCACertificate', u'ldapCACertificate'], [None]),
        "LsbootBootSecurity": MoMeta("LsbootBootSecurity", "lsbootBootSecurity", "boot-security", VersionMeta.Version201a, "InputOutput", 0x1, [], ["admin", "user"], [u'lsbootDef'], [], ["Get", "Set"]),
        "LsbootDef": MoMeta("LsbootDef", "lsbootDef", "boot-policy", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'computeRackUnit'], [u'lsbootBootSecurity', u'lsbootEfi', u'lsbootLan', u'lsbootStorage', u'lsbootVirtualMedia'], ["Get", "Set"]),
        "LsbootDevPrecision": MoMeta("LsbootDevPrecision", "lsbootDevPrecision", "boot-precision", VersionMeta.Version201a, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'computeRackUnit'], [u'lsbootHdd', u'lsbootIscsi', u'lsbootNVMe', u'lsbootPchStorage', u'lsbootPxe', u'lsbootSan', u'lsbootSd', u'lsbootUefiShell', u'lsbootUsb', u'lsbootVMedia'], ["Get", "Set"]),
        "LsbootEfi": MoMeta("LsbootEfi", "lsbootEfi", "efi-read-only", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'lsbootDef'], [], ["Add", "Get", "Remove", "Set"]),
        "LsbootHdd": MoMeta("LsbootHdd", "lsbootHdd", "hdd-[name]", VersionMeta.Version201a, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'lsbootDevPrecision'], [], ["Add", "Get", "Remove", "Set"]),
        "LsbootIscsi": MoMeta("LsbootIscsi", "lsbootIscsi", "iscsi-[name]", VersionMeta.Version201a, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'lsbootDevPrecision'], [], ["Add", "Get", "Remove", "Set"]),
        "LsbootLan": MoMeta("LsbootLan", "lsbootLan", "lan-read-only", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'lsbootDef'], [], ["Add", "Get", "Remove", "Set"]),
        "LsbootLocalStorage": MoMeta("LsbootLocalStorage", "lsbootLocalStorage", "local-storage", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'lsbootStorage'], [], ["Get"]),
        "LsbootNVMe": MoMeta("LsbootNVMe", "lsbootNVMe", "nvme-[name]", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'lsbootDevPrecision'], [], [None]),
        "LsbootPchStorage": MoMeta("LsbootPchStorage", "lsbootPchStorage", "pchstorage-[name]", VersionMeta.Version201a, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'lsbootDevPrecision'], [], ["Add", "Get", "Remove", "Set"]),
        "LsbootPxe": MoMeta("LsbootPxe", "lsbootPxe", "pxe-[name]", VersionMeta.Version201a, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'lsbootDevPrecision'], [], ["Add", "Get", "Remove", "Set"]),
        "LsbootSan": MoMeta("LsbootSan", "lsbootSan", "san-[name]", VersionMeta.Version201a, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'lsbootDevPrecision'], [], ["Add", "Get", "Remove", "Set"]),
        "LsbootSd": MoMeta("LsbootSd", "lsbootSd", "sd-[name]", VersionMeta.Version201a, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'lsbootDevPrecision'], [], ["Add", "Get", "Remove", "Set"]),
        "LsbootStorage": MoMeta("LsbootStorage", "lsbootStorage", "storage-read-write", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'lsbootDef'], [], ["Add", "Get", "Remove", "Set"]),
        "LsbootUefiShell": MoMeta("LsbootUefiShell", "lsbootUefiShell", "uefishell-[name]", VersionMeta.Version201a, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'lsbootDevPrecision'], [], ["Add", "Get", "Remove", "Set"]),
        "LsbootUsb": MoMeta("LsbootUsb", "lsbootUsb", "usb-[name]", VersionMeta.Version201a, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'lsbootDevPrecision'], [], ["Add", "Get", "Remove", "Set"]),
        "LsbootVMedia": MoMeta("LsbootVMedia", "lsbootVMedia", "vm-[name]", VersionMeta.Version201a, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'lsbootDevPrecision'], [], ["Add", "Get", "Remove", "Set"]),
        "LsbootVirtualMedia": MoMeta("LsbootVirtualMedia", "lsbootVirtualMedia", "vm-[access]", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'lsbootDef'], [], ["Add", "Get"]),
        "MemoryArray": MoMeta("MemoryArray", "memoryArray", "memarray-[id]", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'computeBoard'], [u'faultInst', u'memoryUnit'], ["Get", "Set"]),
        "MemoryUnit": MoMeta("MemoryUnit", "memoryUnit", "mem-[id]", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'memoryArray'], [u'faultInst', u'memoryUnitEnvStats'], ["Get"]),
        "MemoryUnitEnvStats": MoMeta("MemoryUnitEnvStats", "memoryUnitEnvStats", "dimm-env-stats", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'memoryUnit'], [], ["Get"]),
        "MgmtBackup": MoMeta("MgmtBackup", "mgmtBackup", "export-config", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'topSystem'], [], [None]),
        "MgmtController": MoMeta("MgmtController", "mgmtController", "mgmt", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'adaptorUnit', u'computeRackUnit', u'storageSasExpander'], [u'firmwareBootDefinition', u'firmwareRunning', u'firmwareUpdatable', u'mgmtIf', u'sysdebugMEpLog'], ["Get"]),
        "MgmtIf": MoMeta("MgmtIf", "mgmtIf", "if-1", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'mgmtController'], [u'ipBlocking'], ["Get", "Set"]),
        "MgmtImporter": MoMeta("MgmtImporter", "mgmtImporter", "import-config", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'topSystem'], [], [None]),
        "NetworkAdapterEthIf": MoMeta("NetworkAdapterEthIf", "networkAdapterEthIf", "eth-[id]", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'networkAdapterUnit'], [], ["Get"]),
        "NetworkAdapterUnit": MoMeta("NetworkAdapterUnit", "networkAdapterUnit", "network-adapter-[slot]", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'computeRackUnit'], [u'networkAdapterEthIf'], ["Get"]),
        "OneTimeBootDevice": MoMeta("OneTimeBootDevice", "oneTimeBootDevice", "boot-one-time", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'computeRackUnit'], [], ["Get", "Set"]),
        "PciEquipSlot": MoMeta("PciEquipSlot", "pciEquipSlot", "equipped-slot-[id]", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'computeRackUnit'], [u'faultInst'], ["Get"]),
        "PidCatalog": MoMeta("PidCatalog", "pidCatalog", "pid", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'computeBoard'], [u'activatePIDCatalog', u'pidCatalogCpu', u'pidCatalogDimm', u'pidCatalogHdd', u'pidCatalogPCIAdapter', u'uploadPIDCatalog'], ["Get"]),
        "PidCatalogCpu": MoMeta("PidCatalogCpu", "pidCatalogCpu", "pid-cpu-[id]", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'pidCatalog'], [], ["Get"]),
        "PidCatalogDimm": MoMeta("PidCatalogDimm", "pidCatalogDimm", "pid-dimm-[name]", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'pidCatalog'], [], ["Get"]),
        "PidCatalogHdd": MoMeta("PidCatalogHdd", "pidCatalogHdd", "pid-hdd-[disk]", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'pidCatalog'], [], ["Get"]),
        "PidCatalogPCIAdapter": MoMeta("PidCatalogPCIAdapter", "pidCatalogPCIAdapter", "pid-pciadapter-[slot]", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'pidCatalog'], [], ["Get"]),
        "PlatformEventFilters": MoMeta("PlatformEventFilters", "platformEventFilters", "pef-[id]", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'eventManagement'], [], [None]),
        "PowerBudget": MoMeta("PowerBudget", "powerBudget", "budget", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'computeRackUnit'], [u'advancedPowerProfile', u'faultInst', u'standardPowerProfile'], ["Get", "Set"]),
        "PowerMonitor": MoMeta("PowerMonitor", "powerMonitor", "pwrmonitor-[domain]", VersionMeta.Version202c, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'computeRackUnit'], [], ["Get"]),
        "ProcessorEnvStats": MoMeta("ProcessorEnvStats", "processorEnvStats", "env-stats", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'processorUnit'], [], ["Get"]),
        "ProcessorUnit": MoMeta("ProcessorUnit", "processorUnit", "cpu-[id]", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'computeBoard'], [u'faultInst', u'processorEnvStats'], ["Get"]),
        "SelfEncryptStorageController": MoMeta("SelfEncryptStorageController", "selfEncryptStorageController", "ctr-self-encrypt", VersionMeta.Version209c, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'storageController'], [], ["Get", "Set"]),
        "ServerUtilization": MoMeta("ServerUtilization", "serverUtilization", "utilization", VersionMeta.Version202c, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'computeRackUnit'], [], ["Get"]),
        "SolIf": MoMeta("SolIf", "solIf", "sol-if", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'computeRackUnit'], [], ["Get", "Set"]),
        "StandardPowerProfile": MoMeta("StandardPowerProfile", "standardPowerProfile", "stdpwrprof", VersionMeta.Version202c, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'powerBudget'], [], ["Get", "Set"]),
        "StorageController": MoMeta("StorageController", "storageController", "storage-[type]-[id]", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'computeBoard'], [u'faultInst', u'firmwareBootDefinition', u'firmwareRunning', u'generatedStorageControllerKeyId', u'selfEncryptStorageController', u'storageControllerHealth', u'storageControllerProps', u'storageControllerSettings', u'storageLocalDisk', u'storageLocalDiskProps', u'storageRaidBattery', u'storageVirtualDrive', u'storageVirtualDriveCreatorUsingUnusedPhysicalDrive', u'storageVirtualDriveCreatorUsingVirtualDriveGroup', u'suggestedStorageControllerSecurityKey'], ["Get", "Set"]),
        "StorageControllerHealth": MoMeta("StorageControllerHealth", "storageControllerHealth", "controller-health", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'storageController'], [], [None]),
        "StorageControllerNVMe": MoMeta("StorageControllerNVMe", "storageControllerNVMe", "storage-NVMe-[id]", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'computeBoard'], [u'firmwareRunning'], [None]),
        "StorageControllerProps": MoMeta("StorageControllerProps", "storageControllerProps", "controller-props", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'storageController'], [], ["Get"]),
        "StorageControllerSettings": MoMeta("StorageControllerSettings", "storageControllerSettings", "controller-settings", VersionMeta.Version201a, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'storageController'], [], ["Get"]),
        "StorageFlexFlashController": MoMeta("StorageFlexFlashController", "storageFlexFlashController", "storage-flexflash-[id]", VersionMeta.Version202c, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'computeBoard'], [u'faultInst', u'storageFlexFlashControllerProps', u'storageFlexFlashOperationalProfile', u'storageFlexFlashPhysicalDrive', u'storageFlexFlashVirtualDrive', u'storageFlexFlashVirtualDriveImageMap'], ["Get", "Set"]),
        "StorageFlexFlashControllerProps": MoMeta("StorageFlexFlashControllerProps", "storageFlexFlashControllerProps", "flexflashcontroller-props", VersionMeta.Version202c, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'storageFlexFlashController'], [], ["Get"]),
        "StorageFlexFlashOperationalProfile": MoMeta("StorageFlexFlashOperationalProfile", "storageFlexFlashOperationalProfile", "oper-profile", VersionMeta.Version202c, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'storageFlexFlashController'], [], ["Get", "Set"]),
        "StorageFlexFlashPhysicalDrive": MoMeta("StorageFlexFlashPhysicalDrive", "storageFlexFlashPhysicalDrive", "card-[physical_drive_id]", VersionMeta.Version202c, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'storageFlexFlashController'], [u'faultInst'], ["Get"]),
        "StorageFlexFlashVirtualDrive": MoMeta("StorageFlexFlashVirtualDrive", "storageFlexFlashVirtualDrive", "vd-[partition_id]", VersionMeta.Version202c, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'storageFlexFlashController'], [u'faultInst'], ["Get", "Set"]),
        "StorageFlexFlashVirtualDriveImageMap": MoMeta("StorageFlexFlashVirtualDriveImageMap", "storageFlexFlashVirtualDriveImageMap", "vdrive-map-[virtual_drive]", VersionMeta.Version202c, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'storageFlexFlashController'], [], ["Get", "Set"]),
        "StorageLocalDisk": MoMeta("StorageLocalDisk", "storageLocalDisk", "pd-[id]", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'storageController'], [u'faultInst', u'storageLocalDiskProps', u'storageOperation'], ["Get", "Set"]),
        "StorageLocalDiskProps": MoMeta("StorageLocalDiskProps", "storageLocalDiskProps", "general-props", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'storageController', u'storageLocalDisk'], [], ["Get"]),
        "StorageLocalDiskSlotEp": MoMeta("StorageLocalDiskSlotEp", "storageLocalDiskSlotEp", "disk-[id]", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'computeBoard'], [], ["Get"]),
        "StorageLocalDiskUsage": MoMeta("StorageLocalDiskUsage", "storageLocalDiskUsage", "pd-[physical_drive]", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'storageVirtualDrive'], [], ["Get"]),
        "StorageOperation": MoMeta("StorageOperation", "storageOperation", "storage-operation", VersionMeta.Version201a, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'storageLocalDisk', u'storageRaidBattery', u'storageVirtualDrive'], [], ["Get"]),
        "StorageRaidBattery": MoMeta("StorageRaidBattery", "storageRaidBattery", "raid-battery", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'storageController'], [u'faultInst', u'storageOperation'], ["Get", "Set"]),
        "StorageSasExpander": MoMeta("StorageSasExpander", "storageSasExpander", "sas-expander-[id]", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["read-only"], [u'topSystem'], [u'mgmtController'], [None]),
        "StorageUnusedLocalDisk": MoMeta("StorageUnusedLocalDisk", "storageUnusedLocalDisk", "pd-[id]", VersionMeta.Version201a, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'storageVirtualDriveCreatorUsingUnusedPhysicalDrive'], [], ["Get"]),
        "StorageVirtualDrive": MoMeta("StorageVirtualDrive", "storageVirtualDrive", "vd-[id]", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'storageController'], [u'faultInst', u'storageLocalDiskUsage', u'storageOperation'], ["Get", "Remove", "Set"]),
        "StorageVirtualDriveCreatorUsingUnusedPhysicalDrive": MoMeta("StorageVirtualDriveCreatorUsingUnusedPhysicalDrive", "storageVirtualDriveCreatorUsingUnusedPhysicalDrive", "virtual-drive-create", VersionMeta.Version201a, "InputOutput", 0x1, [], ["admin"], [u'storageController'], [u'storageUnusedLocalDisk'], ["Get", "Set"]),
        "StorageVirtualDriveCreatorUsingVirtualDriveGroup": MoMeta("StorageVirtualDriveCreatorUsingVirtualDriveGroup", "storageVirtualDriveCreatorUsingVirtualDriveGroup", "virtual-drive-carve", VersionMeta.Version201a, "InputOutput", 0x1, [], ["admin"], [u'storageController'], [u'storageVirtualDriveWithDriveGroupSpace'], ["Get", "Set"]),
        "StorageVirtualDriveWithDriveGroupSpace": MoMeta("StorageVirtualDriveWithDriveGroupSpace", "storageVirtualDriveWithDriveGroupSpace", "vd-[id]", VersionMeta.Version201a, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'storageVirtualDriveCreatorUsingVirtualDriveGroup'], [], ["Get"]),
        "SuggestedStorageControllerSecurityKey": MoMeta("SuggestedStorageControllerSecurityKey", "suggestedStorageControllerSecurityKey", "suggested-sec-key", VersionMeta.Version209c, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'storageController'], [], ["Get"]),
        "SysdebugMEpLog": MoMeta("SysdebugMEpLog", "sysdebugMEpLog", "log-[type]-[id]", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'mgmtController'], [u'faultInst'], ["Get", "Set"]),
        "SysdebugTechSupportExport": MoMeta("SysdebugTechSupportExport", "sysdebugTechSupportExport", "tech-support", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'computeRackUnit'], [], [None]),
        "SystemIOController": MoMeta("SystemIOController", "systemIOController", "sioc-[id]", VersionMeta.Version202c, "OutputOnly", 0x1, [], ["read-only"], [u'computeRackUnit'], [u'firmwareBootDefinition', u'firmwareRunning', u'firmwareUpdatable'], ["Get"]),
        "TopRoot": MoMeta("TopRoot", "topRoot", "", VersionMeta.Version151f, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [], [u'topSystem'], ["Get"]),
        "TopSystem": MoMeta("TopSystem", "topSystem", "sys", VersionMeta.Version151f, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'topRoot'], [u'aaaLdap', u'aaaUserEp', u'certificateManagement', u'commSvcEp', u'computeRackUnit', u'huuController', u'iodController', u'mgmtBackup', u'mgmtImporter', u'storageSasExpander'], ["Get", "Set"]),
        "UploadCertificate": MoMeta("UploadCertificate", "uploadCertificate", "upload-cert", VersionMeta.Version209c, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'certificateManagement'], [], [None]),
        "UploadPIDCatalog": MoMeta("UploadPIDCatalog", "uploadPIDCatalog", "upload-catalog", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'pidCatalog'], [], [None]),
    },

    "modular": {
        "AaaLdap": MoMeta("AaaLdap", "aaaLdap", "ldap-ext", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'topSystem'], [u'aaaLdapRoleGroup', u'ldapCACertificateManagement'], [None]),
        "AaaLdapRoleGroup": MoMeta("AaaLdapRoleGroup", "aaaLdapRoleGroup", "rolegroup-[id]", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'aaaLdap'], [], [None]),
        "AaaSession": MoMeta("AaaSession", "aaaSession", "term-[id]", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'aaaUserEp'], [], [None]),
        "AaaUser": MoMeta("AaaUser", "aaaUser", "user-[id]", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'aaaUserEp'], [], [None]),
        "AaaUserEp": MoMeta("AaaUserEp", "aaaUserEp", "user-ext", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'topSystem'], [u'aaaSession', u'aaaUser', u'aaaUserPolicy'], [None]),
        "AaaUserPolicy": MoMeta("AaaUserPolicy", "aaaUserPolicy", "policy", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "user"], [u'aaaUserEp'], [], [None]),
        "ActivatePIDCatalog": MoMeta("ActivatePIDCatalog", "activatePIDCatalog", "activate-catalog", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'pidCatalog'], [], [None]),
        "AdaptorCfgBackup": MoMeta("AdaptorCfgBackup", "adaptorCfgBackup", "export-config", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorUnit'], [], [None]),
        "AdaptorCfgImporter": MoMeta("AdaptorCfgImporter", "adaptorCfgImporter", "import-config", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorUnit'], [], [None]),
        "AdaptorEthCompQueueProfile": MoMeta("AdaptorEthCompQueueProfile", "adaptorEthCompQueueProfile", "eth-comp-q", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostEthIf'], [], [None]),
        "AdaptorEthGenProfile": MoMeta("AdaptorEthGenProfile", "adaptorEthGenProfile", "general", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostEthIf'], [], [None]),
        "AdaptorEthISCSIProfile": MoMeta("AdaptorEthISCSIProfile", "adaptorEthISCSIProfile", "ethiscsi", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostEthIf'], [], [None]),
        "AdaptorEthInterruptProfile": MoMeta("AdaptorEthInterruptProfile", "adaptorEthInterruptProfile", "eth-int", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostEthIf'], [], [None]),
        "AdaptorEthOffloadProfile": MoMeta("AdaptorEthOffloadProfile", "adaptorEthOffloadProfile", "eth-offload", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostEthIf'], [], [None]),
        "AdaptorEthRdmaProfile": MoMeta("AdaptorEthRdmaProfile", "adaptorEthRdmaProfile", "rdmaprofile", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostEthIf'], [], [None]),
        "AdaptorEthRecvQueueProfile": MoMeta("AdaptorEthRecvQueueProfile", "adaptorEthRecvQueueProfile", "eth-rcv-q", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostEthIf'], [], [None]),
        "AdaptorEthUSNICProfile": MoMeta("AdaptorEthUSNICProfile", "adaptorEthUSNICProfile", "ethusnic", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'adaptorHostEthIf'], [], [None]),
        "AdaptorEthWorkQueueProfile": MoMeta("AdaptorEthWorkQueueProfile", "adaptorEthWorkQueueProfile", "eth-work-q", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostEthIf'], [], [None]),
        "AdaptorExtEthIf": MoMeta("AdaptorExtEthIf", "adaptorExtEthIf", "ext-eth-[port_id]", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorUnit'], [u'adaptorPortProfiles'], [None]),
        "AdaptorExtIpV6RssHashProfile": MoMeta("AdaptorExtIpV6RssHashProfile", "adaptorExtIpV6RssHashProfile", "ext-ipv6-rss-hash", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostEthIf'], [], [None]),
        "AdaptorFcBootTable": MoMeta("AdaptorFcBootTable", "adaptorFcBootTable", "fcboot-[index]", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostFcIf'], [], [None]),
        "AdaptorFcCdbWorkQueueProfile": MoMeta("AdaptorFcCdbWorkQueueProfile", "adaptorFcCdbWorkQueueProfile", "fc-cdb-work-q", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostFcIf'], [], [None]),
        "AdaptorFcErrorRecoveryProfile": MoMeta("AdaptorFcErrorRecoveryProfile", "adaptorFcErrorRecoveryProfile", "fc-err-rec", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostFcIf'], [], [None]),
        "AdaptorFcGenProfile": MoMeta("AdaptorFcGenProfile", "adaptorFcGenProfile", "general", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostFcIf'], [], [None]),
        "AdaptorFcInterruptProfile": MoMeta("AdaptorFcInterruptProfile", "adaptorFcInterruptProfile", "fc-int", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostFcIf'], [], [None]),
        "AdaptorFcPersistentBindings": MoMeta("AdaptorFcPersistentBindings", "adaptorFcPersistentBindings", "perbi-[index]", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostFcIf'], [], [None]),
        "AdaptorFcPortFLogiProfile": MoMeta("AdaptorFcPortFLogiProfile", "adaptorFcPortFLogiProfile", "fc-port-flogi", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostFcIf'], [], [None]),
        "AdaptorFcPortPLogiProfile": MoMeta("AdaptorFcPortPLogiProfile", "adaptorFcPortPLogiProfile", "fc-port-plogi", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostFcIf'], [], [None]),
        "AdaptorFcPortProfile": MoMeta("AdaptorFcPortProfile", "adaptorFcPortProfile", "fc-port", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostFcIf'], [], [None]),
        "AdaptorFcRecvQueueProfile": MoMeta("AdaptorFcRecvQueueProfile", "adaptorFcRecvQueueProfile", "fc-rcv-q", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostFcIf'], [], [None]),
        "AdaptorFcWorkQueueProfile": MoMeta("AdaptorFcWorkQueueProfile", "adaptorFcWorkQueueProfile", "fc-work-q", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostFcIf'], [], [None]),
        "AdaptorGenProfile": MoMeta("AdaptorGenProfile", "adaptorGenProfile", "general", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorUnit'], [], [None]),
        "AdaptorHostEthIf": MoMeta("AdaptorHostEthIf", "adaptorHostEthIf", "host-eth-[name]", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorUnit'], [], [None]),
        "AdaptorHostFcIf": MoMeta("AdaptorHostFcIf", "adaptorHostFcIf", "host-fc-[name]", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorUnit'], [u'adaptorFcPersistentBindings'], [None]),
        "AdaptorIpV4RssHashProfile": MoMeta("AdaptorIpV4RssHashProfile", "adaptorIpV4RssHashProfile", "ipv4-rss-hash", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostEthIf'], [], [None]),
        "AdaptorIpV6RssHashProfile": MoMeta("AdaptorIpV6RssHashProfile", "adaptorIpV6RssHashProfile", "ipv6-rss-hash", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostEthIf'], [], [None]),
        "AdaptorPortProfiles": MoMeta("AdaptorPortProfiles", "adaptorPortProfiles", "port-profiles", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'adaptorExtEthIf'], [], [None]),
        "AdaptorRssProfile": MoMeta("AdaptorRssProfile", "adaptorRssProfile", "rss", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'adaptorHostEthIf'], [], [None]),
        "AdaptorUnit": MoMeta("AdaptorUnit", "adaptorUnit", "adaptor-[id]", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'computeServerNode'], [u'adaptorCfgBackup', u'adaptorCfgImporter', u'adaptorExtEthIf', u'adaptorHostEthIf', u'adaptorHostFcIf', u'adaptorVMFexEthIf', u'faultInst', u'mgmtController'], [None]),
        "AdaptorVMFexEthIf": MoMeta("AdaptorVMFexEthIf", "adaptorVMFexEthIf", "vmfex-eth-[name]", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'adaptorUnit'], [], [None]),
        "AdaptorVMFexEthProfile": MoMeta("AdaptorVMFexEthProfile", "adaptorVMFexEthProfile", "vmfexprofile", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'adaptorVMFexEthIf'], [], [None]),
        "BiosBOT": MoMeta("BiosBOT", "biosBOT", "bdgep", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'biosUnit'], [u'biosBootDevGrp', u'biosBootDevPrecision', u'biosBootMode'], [None]),
        "BiosBootDev": MoMeta("BiosBootDev", "biosBootDev", "bdv-[order]", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'biosBootDevGrp'], [], [None]),
        "BiosBootDevGrp": MoMeta("BiosBootDevGrp", "biosBootDevGrp", "bdg-[order]", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'biosBOT'], [u'biosBootDev'], [None]),
        "BiosBootDevPrecision": MoMeta("BiosBootDevPrecision", "biosBootDevPrecision", "bdvp-[order]", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'biosBOT'], [], [None]),
        "BiosBootMode": MoMeta("BiosBootMode", "biosBootMode", "boot-mode", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "user"], [u'biosBOT'], [], [None]),
        "BiosPlatformDefaults": MoMeta("BiosPlatformDefaults", "biosPlatformDefaults", "bios-defaults", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'biosUnit'], [u'biosVfASPMSupport', u'biosVfAdjacentCacheLinePrefetch', u'biosVfAltitude', u'biosVfAssertNMIOnPERR', u'biosVfAssertNMIOnSERR', u'biosVfBootOptionRetry', u'biosVfCDNEnable', u'biosVfCDNSupport', u'biosVfCPUEnergyPerformance', u'biosVfCPUFrequencyFloor', u'biosVfCPUPerformance', u'biosVfCPUPowerManagement', u'biosVfCkeLowPolicy', u'biosVfCmciEnable', u'biosVfConsoleRedirection', u'biosVfCoreMultiProcessing', u'biosVfDCUPrefetch', u'biosVfDRAMClockThrottling', u'biosVfDemandScrub', u'biosVfDirectCacheAccess', u'biosVfDramRefreshRate', u'biosVfEnhancedIntelSpeedStepTech', u'biosVfExecuteDisableBit', u'biosVfExtendedAPIC', u'biosVfFRB2Enable', u'biosVfHardwarePrefetch', u'biosVfIOHResource', u'biosVfIntelHyperThreadingTech', u'biosVfIntelTurboBoostTech', u'biosVfIntelVTForDirectedIO', u'biosVfIntelVirtualizationTechnology', u'biosVfLOMPortOptionROM', u'biosVfLegacyUSBSupport', u'biosVfLvDIMMSupport', u'biosVfMMCFGBase', u'biosVfMemoryInterleave', u'biosVfMemoryMappedIOAbove4GB', u'biosVfMirroringMode', u'biosVfNUMAOptimized', u'biosVfOSBootWatchdogTimer', u'biosVfOSBootWatchdogTimerPolicy', u'biosVfOSBootWatchdogTimerTimeout', u'biosVfOnboardNIC', u'biosVfOnboardStorage', u'biosVfOnboardStorageSWStack', u'biosVfOutOfBandMgmtPort', u'biosVfPCIOptionROMs', u'biosVfPCISlotOptionROMEnable', u'biosVfPOSTErrorPause', u'biosVfPStateCoordType', u'biosVfPackageCStateLimit', u'biosVfPatrolScrub', u'biosVfPatrolScrubDuration', u'biosVfPchUsb30Mode', u'biosVfPciRomClp', u'biosVfProcessorC1E', u'biosVfProcessorC3Report', u'biosVfProcessorC6Report', u'biosVfProcessorCState', u'biosVfPwrPerfTuning', u'biosVfQPIConfig', u'biosVfQpiSnoopMode', u'biosVfSataModeSelect', u'biosVfSelectMemoryRASConfiguration', u'biosVfSerialPortAEnable', u'biosVfSparingMode', u'biosVfSrIov', u'biosVfTPMSupport', u'biosVfUCSMBootOrderRuleControl', u'biosVfUSBBootConfig', u'biosVfUSBEmulation', u'biosVfUSBPortsConfig', u'biosVfVgaPriority', u'biosVfWorkLoadConfig'], [None]),
        "BiosSettings": MoMeta("BiosSettings", "biosSettings", "bios-settings", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosUnit'], [], [None]),
        "BiosUnit": MoMeta("BiosUnit", "biosUnit", "bios", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'computeServerNode'], [u'biosBOT', u'biosPlatformDefaults', u'biosSettings', u'firmwareBootDefinition', u'firmwareRunning', u'firmwareUpdatable'], [None]),
        "BiosVfASPMSupport": MoMeta("BiosVfASPMSupport", "biosVfASPMSupport", "ASPM-Support", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfAdjacentCacheLinePrefetch": MoMeta("BiosVfAdjacentCacheLinePrefetch", "biosVfAdjacentCacheLinePrefetch", "Adjacent-Cache-Line-Prefetch", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfAltitude": MoMeta("BiosVfAltitude", "biosVfAltitude", "Altitude-Param", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfAssertNMIOnPERR": MoMeta("BiosVfAssertNMIOnPERR", "biosVfAssertNMIOnPERR", "Assert-NMI-on-PERR", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfAssertNMIOnSERR": MoMeta("BiosVfAssertNMIOnSERR", "biosVfAssertNMIOnSERR", "Assert-NMI-on-SERR", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfBootOptionRetry": MoMeta("BiosVfBootOptionRetry", "biosVfBootOptionRetry", "Boot-option-retry", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfCDNEnable": MoMeta("BiosVfCDNEnable", "biosVfCDNEnable", "CDN-Enable", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfCDNSupport": MoMeta("BiosVfCDNSupport", "biosVfCDNSupport", "CDN-Support", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfCPUEnergyPerformance": MoMeta("BiosVfCPUEnergyPerformance", "biosVfCPUEnergyPerformance", "CPU-EngPerfBias", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfCPUFrequencyFloor": MoMeta("BiosVfCPUFrequencyFloor", "biosVfCPUFrequencyFloor", "CPU-FreqFloor", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfCPUPerformance": MoMeta("BiosVfCPUPerformance", "biosVfCPUPerformance", "CPU-Performance", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfCPUPowerManagement": MoMeta("BiosVfCPUPowerManagement", "biosVfCPUPowerManagement", "CPU-PowerManagement", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfCkeLowPolicy": MoMeta("BiosVfCkeLowPolicy", "biosVfCkeLowPolicy", "Cke-Low-Policy", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfCmciEnable": MoMeta("BiosVfCmciEnable", "biosVfCmciEnable", "Cmci-Enable", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfConsoleRedirection": MoMeta("BiosVfConsoleRedirection", "biosVfConsoleRedirection", "Console-redirection", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfCoreMultiProcessing": MoMeta("BiosVfCoreMultiProcessing", "biosVfCoreMultiProcessing", "Core-MultiProcessing", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfDCUPrefetch": MoMeta("BiosVfDCUPrefetch", "biosVfDCUPrefetch", "DCU-Prefetch", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfDRAMClockThrottling": MoMeta("BiosVfDRAMClockThrottling", "biosVfDRAMClockThrottling", "DRAM-Clock-Throttling", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfDemandScrub": MoMeta("BiosVfDemandScrub", "biosVfDemandScrub", "Demand-Scrub-Param", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfDirectCacheAccess": MoMeta("BiosVfDirectCacheAccess", "biosVfDirectCacheAccess", "Direct-Cache-Access", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfDramRefreshRate": MoMeta("BiosVfDramRefreshRate", "biosVfDramRefreshRate", "dram-refresh-rate", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfEnhancedIntelSpeedStepTech": MoMeta("BiosVfEnhancedIntelSpeedStepTech", "biosVfEnhancedIntelSpeedStepTech", "Enhanced-Intel-SpeedStep-Tech", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfExecuteDisableBit": MoMeta("BiosVfExecuteDisableBit", "biosVfExecuteDisableBit", "Execute-Disable-Bit", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfExtendedAPIC": MoMeta("BiosVfExtendedAPIC", "biosVfExtendedAPIC", "Extended-APIC", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfFRB2Enable": MoMeta("BiosVfFRB2Enable", "biosVfFRB2Enable", "FRB2-Enable", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfHardwarePrefetch": MoMeta("BiosVfHardwarePrefetch", "biosVfHardwarePrefetch", "Hardware-Prefetch", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfIOHResource": MoMeta("BiosVfIOHResource", "biosVfIOHResource", "ioh-resource", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfIntelHyperThreadingTech": MoMeta("BiosVfIntelHyperThreadingTech", "biosVfIntelHyperThreadingTech", "Intel-HyperThreading-Tech", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfIntelTurboBoostTech": MoMeta("BiosVfIntelTurboBoostTech", "biosVfIntelTurboBoostTech", "Intel-Turbo-Boost-Tech", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfIntelVTForDirectedIO": MoMeta("BiosVfIntelVTForDirectedIO", "biosVfIntelVTForDirectedIO", "Intel-VT-for-directed-IO", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfIntelVirtualizationTechnology": MoMeta("BiosVfIntelVirtualizationTechnology", "biosVfIntelVirtualizationTechnology", "Intel-Virtualization-Technology", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfLOMPortOptionROM": MoMeta("BiosVfLOMPortOptionROM", "biosVfLOMPortOptionROM", "LOMPort-OptionROM", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfLegacyUSBSupport": MoMeta("BiosVfLegacyUSBSupport", "biosVfLegacyUSBSupport", "LegacyUSB-Support", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfLvDIMMSupport": MoMeta("BiosVfLvDIMMSupport", "biosVfLvDIMMSupport", "LvDIMM-Support", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfMMCFGBase": MoMeta("BiosVfMMCFGBase", "biosVfMMCFGBase", "MMCFG-Base", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfMemoryInterleave": MoMeta("BiosVfMemoryInterleave", "biosVfMemoryInterleave", "Memory-Interleave", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfMemoryMappedIOAbove4GB": MoMeta("BiosVfMemoryMappedIOAbove4GB", "biosVfMemoryMappedIOAbove4GB", "Memory-mapped-IO-above-4GB", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfMirroringMode": MoMeta("BiosVfMirroringMode", "biosVfMirroringMode", "Mirroring-Mode", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfNUMAOptimized": MoMeta("BiosVfNUMAOptimized", "biosVfNUMAOptimized", "NUMA-optimized", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfOSBootWatchdogTimer": MoMeta("BiosVfOSBootWatchdogTimer", "biosVfOSBootWatchdogTimer", "OS-Boot-Watchdog-Timer-Param", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfOSBootWatchdogTimerPolicy": MoMeta("BiosVfOSBootWatchdogTimerPolicy", "biosVfOSBootWatchdogTimerPolicy", "OS-Boot-Watchdog-Timer-Policy", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfOSBootWatchdogTimerTimeout": MoMeta("BiosVfOSBootWatchdogTimerTimeout", "biosVfOSBootWatchdogTimerTimeout", "OS-Boot-Watchdog-Timer-Time-Out", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfOnboardNIC": MoMeta("BiosVfOnboardNIC", "biosVfOnboardNIC", "Onboard-NIC", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfOnboardStorage": MoMeta("BiosVfOnboardStorage", "biosVfOnboardStorage", "Onboard-Storage", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfOnboardStorageSWStack": MoMeta("BiosVfOnboardStorageSWStack", "biosVfOnboardStorageSWStack", "Onboard-SCU-Storage-SWStack", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfOutOfBandMgmtPort": MoMeta("BiosVfOutOfBandMgmtPort", "biosVfOutOfBandMgmtPort", "OoB-MgmtPort", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfPCIOptionROMs": MoMeta("BiosVfPCIOptionROMs", "biosVfPCIOptionROMs", "PCI-OptionROMs", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfPCISlotOptionROMEnable": MoMeta("BiosVfPCISlotOptionROMEnable", "biosVfPCISlotOptionROMEnable", "PCI-Slot-OptionROM-Enable", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfPOSTErrorPause": MoMeta("BiosVfPOSTErrorPause", "biosVfPOSTErrorPause", "POST-error-pause", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfPStateCoordType": MoMeta("BiosVfPStateCoordType", "biosVfPStateCoordType", "p-state-coord", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfPackageCStateLimit": MoMeta("BiosVfPackageCStateLimit", "biosVfPackageCStateLimit", "Package-CState-Limit", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfPatrolScrub": MoMeta("BiosVfPatrolScrub", "biosVfPatrolScrub", "Patrol-Scrub-Param", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfPatrolScrubDuration": MoMeta("BiosVfPatrolScrubDuration", "biosVfPatrolScrubDuration", "Patrol-Scrub-Duration", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfPchUsb30Mode": MoMeta("BiosVfPchUsb30Mode", "biosVfPchUsb30Mode", "PchUsb30-Mode", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfPciRomClp": MoMeta("BiosVfPciRomClp", "biosVfPciRomClp", "pci-rom-clp", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfProcessorC1E": MoMeta("BiosVfProcessorC1E", "biosVfProcessorC1E", "Processor-C1E", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfProcessorC3Report": MoMeta("BiosVfProcessorC3Report", "biosVfProcessorC3Report", "Processor-C3-Report", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfProcessorC6Report": MoMeta("BiosVfProcessorC6Report", "biosVfProcessorC6Report", "Processor-C6-Report", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfProcessorCState": MoMeta("BiosVfProcessorCState", "biosVfProcessorCState", "Processor-C-State", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfPwrPerfTuning": MoMeta("BiosVfPwrPerfTuning", "biosVfPwrPerfTuning", "Pwr-Perf-Tuning", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfQPIConfig": MoMeta("BiosVfQPIConfig", "biosVfQPIConfig", "QPI-Config", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfQpiSnoopMode": MoMeta("BiosVfQpiSnoopMode", "biosVfQpiSnoopMode", "QPI-Snoop-Mode", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfResumeOnACPowerLoss": MoMeta("BiosVfResumeOnACPowerLoss", "biosVfResumeOnACPowerLoss", "Resume-on-AC-power-loss", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'computeBoard'], [], [None]),
        "BiosVfSataModeSelect": MoMeta("BiosVfSataModeSelect", "biosVfSataModeSelect", "Pch-Sata-Mode", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfSelectMemoryRASConfiguration": MoMeta("BiosVfSelectMemoryRASConfiguration", "biosVfSelectMemoryRASConfiguration", "SelectMemory-RAS-configuration", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfSerialPortAEnable": MoMeta("BiosVfSerialPortAEnable", "biosVfSerialPortAEnable", "Serial-port-A-enable", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfSparingMode": MoMeta("BiosVfSparingMode", "biosVfSparingMode", "Sparing-Mode", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfSrIov": MoMeta("BiosVfSrIov", "biosVfSrIov", "sr-iov", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfTPMSupport": MoMeta("BiosVfTPMSupport", "biosVfTPMSupport", "TPM-Support", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfUCSMBootOrderRuleControl": MoMeta("BiosVfUCSMBootOrderRuleControl", "biosVfUCSMBootOrderRuleControl", "Boot-Order-Rules", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfUSBBootConfig": MoMeta("BiosVfUSBBootConfig", "biosVfUSBBootConfig", "USB-Boot-Config", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfUSBEmulation": MoMeta("BiosVfUSBEmulation", "biosVfUSBEmulation", "USBEmulation-Support", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfUSBPortsConfig": MoMeta("BiosVfUSBPortsConfig", "biosVfUSBPortsConfig", "USB-Ports-Config", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfVgaPriority": MoMeta("BiosVfVgaPriority", "biosVfVgaPriority", "VgaPriority", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "BiosVfWorkLoadConfig": MoMeta("BiosVfWorkLoadConfig", "biosVfWorkLoadConfig", "work-load-config", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'biosPlatformDefaults', u'biosSettings'], [], [None]),
        "CertificateManagement": MoMeta("CertificateManagement", "certificateManagement", "cert-mgmt", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'topSystem'], [u'currentCertificate', u'generateCertificateSigningRequest', u'uploadCertificate'], [None]),
        "CommHttp": MoMeta("CommHttp", "commHttp", "http-svc", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'commSvcEp'], [], [None]),
        "CommHttps": MoMeta("CommHttps", "commHttps", "https-svc", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'commSvcEp'], [], [None]),
        "CommIpmiLan": MoMeta("CommIpmiLan", "commIpmiLan", "ipmi-lan-svc", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'commSvcRack'], [], [None]),
        "CommKvm": MoMeta("CommKvm", "commKvm", "kvm-svc", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'commSvcRack'], [], [None]),
        "CommNtpProvider": MoMeta("CommNtpProvider", "commNtpProvider", "ntp-svc", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'commSvcEp'], [], [None]),
        "CommSnmp": MoMeta("CommSnmp", "commSnmp", "snmp-svc", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'commSvcEp'], [u'commSnmpTrap', u'commSnmpUser'], [None]),
        "CommSnmpTrap": MoMeta("CommSnmpTrap", "commSnmpTrap", "snmp-trap-[id]", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'commSnmp'], [], [None]),
        "CommSnmpUser": MoMeta("CommSnmpUser", "commSnmpUser", "snmpv3-user-[id]", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'commSnmp'], [], [None]),
        "CommSsh": MoMeta("CommSsh", "commSsh", "ssh-svc", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'commSvcEp'], [], [None]),
        "CommSvcEp": MoMeta("CommSvcEp", "commSvcEp", "svc-ext", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'topSystem'], [u'commHttp', u'commHttps', u'commNtpProvider', u'commSnmp', u'commSsh', u'commSyslog'], [None]),
        "CommSyslog": MoMeta("CommSyslog", "commSyslog", "syslog", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'commSvcEp'], [u'commSyslogClient'], [None]),
        "CommSyslogClient": MoMeta("CommSyslogClient", "commSyslogClient", "client-[name]", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'commSyslog'], [], [None]),
        "CommVMedia": MoMeta("CommVMedia", "commVMedia", "vmedia-svc", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'commSvcRack'], [u'commVMediaMap'], [None]),
        "CommVMediaMap": MoMeta("CommVMediaMap", "commVMediaMap", "vmmap-[volume_name]", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'commVMedia'], [], [None]),
        "ComputeBoard": MoMeta("ComputeBoard", "computeBoard", "board", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'computeServerNode'], [u'biosVfResumeOnACPowerLoss', u'computeMbPowerStats', u'computeServerNodeMbTempStats', u'equipmentTpm', u'faultInst', u'memoryArray', u'pidCatalog', u'processorUnit', u'storageController', u'storageControllerNVMe', u'storageFlexFlashController', u'storageLocalDiskSlotEp'], [None]),
        "ComputeMbPowerStats": MoMeta("ComputeMbPowerStats", "computeMbPowerStats", "power-stats", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'computeBoard'], [], [None]),
        "CurrentCertificate": MoMeta("CurrentCertificate", "currentCertificate", "curr-cert", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'certificateManagement'], [], [None]),
        "DownloadLdapCACertificate": MoMeta("DownloadLdapCACertificate", "downloadLdapCACertificate", "ldap-ca-cert-download", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'ldapCACertificateManagement'], [], [None]),
        "EquipmentFan": MoMeta("EquipmentFan", "equipmentFan", "fan-[id]", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'equipmentFanModule'], [u'faultInst'], [None]),
        "EquipmentFanModule": MoMeta("EquipmentFanModule", "equipmentFanModule", "fan-module-[tray]-[id]", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'computeServerNode', u'equipmentChassis'], [u'equipmentFan'], [None]),
        "EquipmentIndicatorLed": MoMeta("EquipmentIndicatorLed", "equipmentIndicatorLed", "indicator-led-[id]", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'computeServerNode', u'equipmentChassis'], [], [None]),
        "EquipmentLocatorLed": MoMeta("EquipmentLocatorLed", "equipmentLocatorLed", "locator-led", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'computeServerNode'], [], [None]),
        "EquipmentPsu": MoMeta("EquipmentPsu", "equipmentPsu", "psu-[id]", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'computeServerNode', u'equipmentChassis'], [u'faultInst'], [None]),
        "EquipmentTpm": MoMeta("EquipmentTpm", "equipmentTpm", "tpm", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["read-only"], [u'computeBoard'], [], [None]),
        "Error": MoMeta("Error", "error", "", VersionMeta.Version2013e, "OutputOnly", 0x1, [], [""], [], [], [None]),
        "ExportLdapCACertificate": MoMeta("ExportLdapCACertificate", "exportLdapCACertificate", "ldap-ca-cert-export", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'ldapCACertificateManagement'], [], [None]),
        "FaultInst": MoMeta("FaultInst", "faultInst", "fault-[code]", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'adaptorUnit', u'chassisPowerBudget', u'computeBoard', u'computeServerNode', u'equipmentFan', u'equipmentPsu', u'memoryArray', u'memoryUnit', u'pciEquipSlot', u'powerBudget', u'processorUnit', u'storageController', u'storageEnclosureDiskSlotEp', u'storageFlexFlashController', u'storageFlexFlashPhysicalDrive', u'storageFlexFlashVirtualDrive', u'storageLocalDisk', u'storageLocalDiskEp', u'storageRaidBattery', u'storageSasExpander', u'storageVirtualDrive', u'sysdebugMEpLog'], [], [None]),
        "FirmwareBootDefinition": MoMeta("FirmwareBootDefinition", "firmwareBootDefinition", "fw-boot-def", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'biosUnit', u'mgmtController', u'storageController'], [u'firmwareBootUnit'], [None]),
        "FirmwareBootUnit": MoMeta("FirmwareBootUnit", "firmwareBootUnit", "bootunit-[type]", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'firmwareBootDefinition'], [], [None]),
        "FirmwareRunning": MoMeta("FirmwareRunning", "firmwareRunning", "fw-[deployment]", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'biosUnit', u'mgmtController', u'storageController', u'storageControllerNVMe'], [], [None]),
        "FirmwareUpdatable": MoMeta("FirmwareUpdatable", "firmwareUpdatable", "fw-updatable", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'biosUnit', u'mgmtController'], [], [None]),
        "GenerateCertificateSigningRequest": MoMeta("GenerateCertificateSigningRequest", "generateCertificateSigningRequest", "gen-csr-req", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'certificateManagement'], [], [None]),
        "HuuController": MoMeta("HuuController", "huuController", "huu", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'computeServerNode'], [u'huuFirmwareCatalog', u'huuFirmwareRunning', u'huuFirmwareUpdateCancel', u'huuFirmwareUpdater'], [None]),
        "HuuFirmwareCatalog": MoMeta("HuuFirmwareCatalog", "huuFirmwareCatalog", "firmwareCatalog", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'huuController'], [u'huuFirmwareCatalogComponent'], [None]),
        "HuuFirmwareCatalogComponent": MoMeta("HuuFirmwareCatalogComponent", "huuFirmwareCatalogComponent", "id-[id]", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'huuFirmwareCatalog'], [], [None]),
        "HuuFirmwareComponent": MoMeta("HuuFirmwareComponent", "huuFirmwareComponent", "component-[component]", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'huuFirmwareRunning'], [], [None]),
        "HuuFirmwareRunning": MoMeta("HuuFirmwareRunning", "huuFirmwareRunning", "currentFirmware", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'huuController'], [u'huuFirmwareComponent'], [None]),
        "HuuFirmwareUpdateCancel": MoMeta("HuuFirmwareUpdateCancel", "huuFirmwareUpdateCancel", "firmwareUpdateCancel", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'huuController'], [], [None]),
        "HuuFirmwareUpdateStatus": MoMeta("HuuFirmwareUpdateStatus", "huuFirmwareUpdateStatus", "updateStatus", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'huuFirmwareUpdater'], [u'huuUpdateComponentStatus'], [None]),
        "HuuFirmwareUpdater": MoMeta("HuuFirmwareUpdater", "huuFirmwareUpdater", "firmwareUpdater", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'huuController'], [], [None]),
        "HuuUpdateComponentStatus": MoMeta("HuuUpdateComponentStatus", "huuUpdateComponentStatus", "component-[component]", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'huuFirmwareUpdateStatus'], [], [None]),
        "IodController": MoMeta("IodController", "iodController", "iod", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["read-only"], [u'computeServerNode'], [u'iodSnapshotCancel', u'iodSnapshotStart', u'iodSnapshotStatus'], [None]),
        "IodSnapshotCancel": MoMeta("IodSnapshotCancel", "iodSnapshotCancel", "snapshotCancel", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'iodController'], [], [None]),
        "IodSnapshotStart": MoMeta("IodSnapshotStart", "iodSnapshotStart", "snapshotStart", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'iodController'], [], [None]),
        "IodSnapshotStatus": MoMeta("IodSnapshotStatus", "iodSnapshotStatus", "snapshotStatus", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["read-only"], [u'iodController'], [], [None]),
        "IpBlocking": MoMeta("IpBlocking", "ipBlocking", "ip-block", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'mgmtIf'], [], [None]),
        "LdapCACertificate": MoMeta("LdapCACertificate", "ldapCACertificate", "ldap-ca-cert", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'ldapCACertificateManagement'], [], [None]),
        "LdapCACertificateManagement": MoMeta("LdapCACertificateManagement", "ldapCACertificateManagement", "ldap-ca-cert-mgmt", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'aaaLdap'], [u'downloadLdapCACertificate', u'exportLdapCACertificate', u'ldapCACertificate'], [None]),
        "LsbootBootSecurity": MoMeta("LsbootBootSecurity", "lsbootBootSecurity", "boot-security", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "user"], [u'lsbootDef'], [], [None]),
        "LsbootDef": MoMeta("LsbootDef", "lsbootDef", "boot-policy", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'computeServerNode'], [u'lsbootBootSecurity', u'lsbootEfi', u'lsbootLan', u'lsbootStorage', u'lsbootVirtualMedia'], [None]),
        "LsbootDevPrecision": MoMeta("LsbootDevPrecision", "lsbootDevPrecision", "boot-precision", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'computeServerNode'], [u'lsbootHdd', u'lsbootIscsi', u'lsbootNVMe', u'lsbootPchStorage', u'lsbootPxe', u'lsbootSan', u'lsbootSd', u'lsbootUefiShell', u'lsbootUsb', u'lsbootVMedia'], [None]),
        "LsbootEfi": MoMeta("LsbootEfi", "lsbootEfi", "efi-read-only", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'lsbootDef'], [], [None]),
        "LsbootHdd": MoMeta("LsbootHdd", "lsbootHdd", "hdd-[name]", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'lsbootDevPrecision'], [], [None]),
        "LsbootIscsi": MoMeta("LsbootIscsi", "lsbootIscsi", "iscsi-[name]", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'lsbootDevPrecision'], [], [None]),
        "LsbootLan": MoMeta("LsbootLan", "lsbootLan", "lan-read-only", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'lsbootDef'], [], [None]),
        "LsbootLocalStorage": MoMeta("LsbootLocalStorage", "lsbootLocalStorage", "local-storage", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'lsbootStorage'], [], [None]),
        "LsbootNVMe": MoMeta("LsbootNVMe", "lsbootNVMe", "nvme-[name]", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'lsbootDevPrecision'], [], [None]),
        "LsbootPchStorage": MoMeta("LsbootPchStorage", "lsbootPchStorage", "pchstorage-[name]", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'lsbootDevPrecision'], [], [None]),
        "LsbootPxe": MoMeta("LsbootPxe", "lsbootPxe", "pxe-[name]", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'lsbootDevPrecision'], [], [None]),
        "LsbootSan": MoMeta("LsbootSan", "lsbootSan", "san-[name]", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'lsbootDevPrecision'], [], [None]),
        "LsbootSd": MoMeta("LsbootSd", "lsbootSd", "sd-[name]", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'lsbootDevPrecision'], [], [None]),
        "LsbootStorage": MoMeta("LsbootStorage", "lsbootStorage", "storage-read-write", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'lsbootDef'], [], [None]),
        "LsbootUefiShell": MoMeta("LsbootUefiShell", "lsbootUefiShell", "uefishell-[name]", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'lsbootDevPrecision'], [], [None]),
        "LsbootUsb": MoMeta("LsbootUsb", "lsbootUsb", "usb-[name]", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'lsbootDevPrecision'], [], [None]),
        "LsbootVMedia": MoMeta("LsbootVMedia", "lsbootVMedia", "vm-[name]", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'lsbootDevPrecision'], [], [None]),
        "LsbootVirtualMedia": MoMeta("LsbootVirtualMedia", "lsbootVirtualMedia", "vm-[access]", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'lsbootDef'], [], [None]),
        "MemoryArray": MoMeta("MemoryArray", "memoryArray", "memarray-[id]", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'computeBoard'], [u'faultInst', u'memoryUnit'], [None]),
        "MemoryUnit": MoMeta("MemoryUnit", "memoryUnit", "mem-[id]", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'memoryArray'], [u'faultInst', u'memoryUnitEnvStats'], [None]),
        "MemoryUnitEnvStats": MoMeta("MemoryUnitEnvStats", "memoryUnitEnvStats", "dimm-env-stats", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'memoryUnit'], [], [None]),
        "MgmtBackup": MoMeta("MgmtBackup", "mgmtBackup", "export-config", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'equipmentChassis'], [], [None]),
        "MgmtController": MoMeta("MgmtController", "mgmtController", "mgmt", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'adaptorUnit', u'computeServerNode', u'equipmentSharedIOModule', u'equipmentSystemIOController', u'storageSasExpander'], [u'firmwareBootDefinition', u'firmwareRunning', u'firmwareUpdatable', u'mgmtIf', u'sysdebugMEpLog'], [None]),
        "MgmtIf": MoMeta("MgmtIf", "mgmtIf", "if-1", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'equipmentChassis', u'mgmtController'], [u'ipBlocking'], [None]),
        "MgmtImporter": MoMeta("MgmtImporter", "mgmtImporter", "import-config", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'equipmentChassis'], [], [None]),
        "NetworkAdapterEthIf": MoMeta("NetworkAdapterEthIf", "networkAdapterEthIf", "eth-[id]", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'networkAdapterUnit'], [], [None]),
        "NetworkAdapterUnit": MoMeta("NetworkAdapterUnit", "networkAdapterUnit", "network-adapter-[slot]", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'computeServerNode'], [u'networkAdapterEthIf'], [None]),
        "OneTimeBootDevice": MoMeta("OneTimeBootDevice", "oneTimeBootDevice", "boot-one-time", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'computeServerNode'], [], [None]),
        "PciEquipSlot": MoMeta("PciEquipSlot", "pciEquipSlot", "equipped-slot-[id]", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'computeServerNode'], [u'faultInst'], [None]),
        "PidCatalog": MoMeta("PidCatalog", "pidCatalog", "pid", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'computeBoard'], [u'activatePIDCatalog', u'pidCatalogCpu', u'pidCatalogDimm', u'pidCatalogHdd', u'pidCatalogPCIAdapter'], [None]),
        "PidCatalogCpu": MoMeta("PidCatalogCpu", "pidCatalogCpu", "pid-cpu-[id]", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'pidCatalog'], [], [None]),
        "PidCatalogDimm": MoMeta("PidCatalogDimm", "pidCatalogDimm", "pid-dimm-[name]", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'pidCatalog'], [], [None]),
        "PidCatalogHdd": MoMeta("PidCatalogHdd", "pidCatalogHdd", "pid-hdd-[disk]", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'pidCatalog'], [], [None]),
        "PidCatalogPCIAdapter": MoMeta("PidCatalogPCIAdapter", "pidCatalogPCIAdapter", "pid-pciadapter-[slot]", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'pidCatalog'], [], [None]),
        "PowerBudget": MoMeta("PowerBudget", "powerBudget", "budget", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'computeServerNode'], [u'customPowerProfile', u'faultInst', u'thermalPowerProfile'], [None]),
        "PowerMonitor": MoMeta("PowerMonitor", "powerMonitor", "pwrmonitor-[domain]", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'computeServerNode'], [], [None]),
        "ProcessorEnvStats": MoMeta("ProcessorEnvStats", "processorEnvStats", "env-stats", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'processorUnit'], [], [None]),
        "ProcessorUnit": MoMeta("ProcessorUnit", "processorUnit", "cpu-[id]", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'computeBoard'], [u'faultInst', u'processorEnvStats'], [None]),
        "ServerUtilization": MoMeta("ServerUtilization", "serverUtilization", "utilization", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'computeServerNode'], [], [None]),
        "SolIf": MoMeta("SolIf", "solIf", "sol-if", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'computeServerNode'], [], [None]),
        "StorageController": MoMeta("StorageController", "storageController", "storage-[type]-[id]", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'computeBoard'], [u'faultInst', u'firmwareBootDefinition', u'firmwareRunning', u'storageControllerHealth', u'storageControllerProps', u'storageControllerSettings', u'storageLocalDisk', u'storageLocalDiskEp', u'storageLocalDiskProps', u'storageRaidBattery', u'storageVirtualDrive', u'storageVirtualDriveCreatorUsingUnusedPhysicalDrive', u'storageVirtualDriveCreatorUsingVirtualDriveGroup'], [None]),
        "StorageControllerHealth": MoMeta("StorageControllerHealth", "storageControllerHealth", "controller-health", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'storageController'], [], [None]),
        "StorageControllerNVMe": MoMeta("StorageControllerNVMe", "storageControllerNVMe", "storage-NVMe-[id]", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'computeBoard'], [u'firmwareRunning'], [None]),
        "StorageControllerProps": MoMeta("StorageControllerProps", "storageControllerProps", "controller-props", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'storageController'], [], [None]),
        "StorageControllerSettings": MoMeta("StorageControllerSettings", "storageControllerSettings", "controller-settings", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'storageController'], [], [None]),
        "StorageFlexFlashController": MoMeta("StorageFlexFlashController", "storageFlexFlashController", "storage-flexflash-[id]", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'computeBoard'], [u'faultInst', u'storageFlexFlashControllerProps', u'storageFlexFlashOperationalProfile', u'storageFlexFlashPhysicalDrive', u'storageFlexFlashVirtualDrive', u'storageFlexFlashVirtualDriveImageMap'], [None]),
        "StorageFlexFlashControllerProps": MoMeta("StorageFlexFlashControllerProps", "storageFlexFlashControllerProps", "flexflashcontroller-props", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'storageFlexFlashController'], [], [None]),
        "StorageFlexFlashOperationalProfile": MoMeta("StorageFlexFlashOperationalProfile", "storageFlexFlashOperationalProfile", "oper-profile", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'storageFlexFlashController'], [], [None]),
        "StorageFlexFlashPhysicalDrive": MoMeta("StorageFlexFlashPhysicalDrive", "storageFlexFlashPhysicalDrive", "card-[physical_drive_id]", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'storageFlexFlashController'], [u'faultInst'], [None]),
        "StorageFlexFlashVirtualDrive": MoMeta("StorageFlexFlashVirtualDrive", "storageFlexFlashVirtualDrive", "vd-[partition_id]", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'storageFlexFlashController'], [u'faultInst'], [None]),
        "StorageFlexFlashVirtualDriveImageMap": MoMeta("StorageFlexFlashVirtualDriveImageMap", "storageFlexFlashVirtualDriveImageMap", "vdrive-map-[virtual_drive]", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'storageFlexFlashController'], [], [None]),
        "StorageLocalDisk": MoMeta("StorageLocalDisk", "storageLocalDisk", "pd-[id]", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'storageController'], [u'faultInst', u'storageLocalDiskProps', u'storageOperation'], [None]),
        "StorageLocalDiskProps": MoMeta("StorageLocalDiskProps", "storageLocalDiskProps", "general-props", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'storageController', u'storageLocalDisk'], [], [None]),
        "StorageLocalDiskSlotEp": MoMeta("StorageLocalDiskSlotEp", "storageLocalDiskSlotEp", "disk-[id]", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'computeBoard'], [], [None]),
        "StorageLocalDiskUsage": MoMeta("StorageLocalDiskUsage", "storageLocalDiskUsage", "pd-[physical_drive]", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'storageVirtualDrive'], [], [None]),
        "StorageOperation": MoMeta("StorageOperation", "storageOperation", "storage-operation", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'storageLocalDisk', u'storageRaidBattery', u'storageVirtualDrive'], [], [None]),
        "StorageRaidBattery": MoMeta("StorageRaidBattery", "storageRaidBattery", "raid-battery", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'storageController'], [u'faultInst', u'storageOperation'], [None]),
        "StorageSasExpander": MoMeta("StorageSasExpander", "storageSasExpander", "sas-expander-[id]", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["read-only"], [u'equipmentChassis'], [u'faultInst', u'mgmtController', u'storageSasUplink'], [None]),
        "StorageUnusedLocalDisk": MoMeta("StorageUnusedLocalDisk", "storageUnusedLocalDisk", "pd-[id]", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'storageVirtualDriveCreatorUsingUnusedPhysicalDrive'], [], [None]),
        "StorageVirtualDrive": MoMeta("StorageVirtualDrive", "storageVirtualDrive", "vd-[id]", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'storageController'], [u'faultInst', u'storageLocalDiskUsage', u'storageOperation'], [None]),
        "StorageVirtualDriveCreatorUsingUnusedPhysicalDrive": MoMeta("StorageVirtualDriveCreatorUsingUnusedPhysicalDrive", "storageVirtualDriveCreatorUsingUnusedPhysicalDrive", "virtual-drive-create", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'storageController'], [u'storageUnusedLocalDisk'], [None]),
        "StorageVirtualDriveCreatorUsingVirtualDriveGroup": MoMeta("StorageVirtualDriveCreatorUsingVirtualDriveGroup", "storageVirtualDriveCreatorUsingVirtualDriveGroup", "virtual-drive-carve", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'storageController'], [u'storageVirtualDriveWithDriveGroupSpace'], [None]),
        "StorageVirtualDriveWithDriveGroupSpace": MoMeta("StorageVirtualDriveWithDriveGroupSpace", "storageVirtualDriveWithDriveGroupSpace", "vd-[id]", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'storageVirtualDriveCreatorUsingVirtualDriveGroup'], [], [None]),
        "SysdebugMEpLog": MoMeta("SysdebugMEpLog", "sysdebugMEpLog", "log-[type]-[id]", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'mgmtController'], [u'faultInst'], [None]),
        "SysdebugTechSupportExport": MoMeta("SysdebugTechSupportExport", "sysdebugTechSupportExport", "tech-support", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'equipmentChassis', u'topSystem'], [], [None]),
        "TopRoot": MoMeta("TopRoot", "topRoot", "", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [], [u'topSystem'], [None]),
        "TopSystem": MoMeta("TopSystem", "topSystem", "sys", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'topRoot'], [u'aaaLdap', u'aaaUserEp', u'certificateManagement', u'commSvcEp', u'equipmentChassis', u'sysdebugTechSupportExport'], [None]),
        "UploadCertificate": MoMeta("UploadCertificate", "uploadCertificate", "upload-cert", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'certificateManagement'], [], [None]),
        "UploadPIDCatalog": MoMeta("UploadPIDCatalog", "uploadPIDCatalog", "upload-catalog", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'chassisPIDCatalog'], [], [None]),
        "AutoPowerProfile": MoMeta("AutoPowerProfile", "autoPowerProfile", "auto-prof", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'chassisPowerBudget'], [], [None]),
        "BmcResetReason": MoMeta("BmcResetReason", "bmcResetReason", "bmc-reset-reason", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'computeServerNode'], [], [None]),
        "ChassisPIDCatalog": MoMeta("ChassisPIDCatalog", "chassisPIDCatalog", "pid", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'equipmentChassis'], [u'uploadPIDCatalog'], [None]),
        "ChassisPowerBudget": MoMeta("ChassisPowerBudget", "chassisPowerBudget", "budget", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'equipmentChassis'], [u'autoPowerProfile', u'faultInst'], [None]),
        "ChassisPowerMonitor": MoMeta("ChassisPowerMonitor", "chassisPowerMonitor", "pwrmonitor", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'equipmentChassis'], [], [None]),
        "ChassisPowerUtilization": MoMeta("ChassisPowerUtilization", "chassisPowerUtilization", "budget", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'equipmentChassis'], [], [None]),
        "CommEpIpmiLan": MoMeta("CommEpIpmiLan", "commEpIpmiLan", "cmc-ipmi-lan", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'equipmentSharedIOModule', u'equipmentSystemIOController'], [], [None]),
        "CommSvcRack": MoMeta("CommSvcRack", "commSvcRack", "svc-ext", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'computeServerNode'], [u'commIpmiLan', u'commKvm', u'commVMedia'], [None]),
        "ComputeServerNode": MoMeta("ComputeServerNode", "computeServerNode", "upload-catalog", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'equipmentChassis'], [u'adaptorUnit', u'biosUnit', u'bmcResetReason', u'commSvcRack', u'computeBoard', u'equipmentFanModule', u'equipmentIndicatorLed', u'equipmentLocatorLed', u'equipmentPsu', u'faultInst', u'huuController', u'ioExpander', u'iodController', u'lsbootDef', u'lsbootDevPrecision', u'mgmtBackupServer', u'mgmtController', u'mgmtImporterServer', u'networkAdapterUnit', u'oneTimeBootDevice', u'pciEquipSlot', u'powerBudget', u'powerMonitor', u'serverUtilization', u'solIf'], [None]),
        "ComputeServerNodeMbTempStats": MoMeta("ComputeServerNodeMbTempStats", "computeServerNodeMbTempStats", "temp-stats", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'computeBoard'], [], [None]),
        "ComputeServerRef": MoMeta("ComputeServerRef", "computeServerRef", "upload-catalog", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'storageEnclosureDiskSlotEp'], [], [None]),
        "ComputeSharedIOMbPowerStats": MoMeta("ComputeSharedIOMbPowerStats", "computeSharedIOMbPowerStats", "power-stats", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'equipmentSharedIOModule'], [], [None]),
        "ComputeSharedIOMbTempStats": MoMeta("ComputeSharedIOMbTempStats", "computeSharedIOMbTempStats", "temp-stats", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'equipmentSharedIOModule'], [], [None]),
        "CustomPowerProfile": MoMeta("CustomPowerProfile", "customPowerProfile", "cust-prof", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'powerBudget'], [], [None]),
        "EquipmentChassis": MoMeta("EquipmentChassis", "equipmentChassis", "chassis-1", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'topSystem'], [u'chassisPIDCatalog', u'chassisPowerBudget', u'chassisPowerMonitor', u'chassisPowerUtilization', u'computeServerNode', u'equipmentChassisLocatorLed', u'equipmentFanModule', u'equipmentIndicatorLed', u'equipmentPsu', u'equipmentSystemIOController', u'mgmtBackup', u'mgmtIf', u'mgmtImporter', u'storageEnclosure', u'storageSasExpander', u'sysdebugTechSupportExport'], [None]),
        "EquipmentChassisLocatorLed": MoMeta("EquipmentChassisLocatorLed", "equipmentChassisLocatorLed", "chassis-locator-led", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'equipmentChassis'], [], [None]),
        "EquipmentSharedIOModule": MoMeta("EquipmentSharedIOModule", "equipmentSharedIOModule", "shared-io-module", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'equipmentSystemIOController'], [u'commEpIpmiLan', u'computeSharedIOMbPowerStats', u'computeSharedIOMbTempStats', u'mgmtController'], [None]),
        "EquipmentSystemIOController": MoMeta("EquipmentSystemIOController", "equipmentSystemIOController", "upload-catalog", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'equipmentChassis'], [u'commEpIpmiLan', u'equipmentSharedIOModule', u'mgmtController', u'siocResetReason'], [None]),
        "IoExpander": MoMeta("IoExpander", "ioExpander", "io-expander", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'computeServerNode'], [], [None]),
        "MgmtBackupServer": MoMeta("MgmtBackupServer", "mgmtBackupServer", "exporter-config", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'computeServerNode'], [], [None]),
        "MgmtImporterServer": MoMeta("MgmtImporterServer", "mgmtImporterServer", "importer-config", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'computeServerNode'], [], [None]),
        "SiocResetReason": MoMeta("SiocResetReason", "siocResetReason", "sioc-reset-reason", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'equipmentSystemIOController'], [], [None]),
        "StorageEnclosure": MoMeta("StorageEnclosure", "storageEnclosure", "enc-1", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'equipmentChassis'], [u'storageEnclosureDisk', u'storageEnclosureDiskFwHelper', u'storageEnclosureDiskSlotEp', u'storageEnclosureDiskSlotZoneHelper'], [None]),
        "StorageEnclosureDisk": MoMeta("StorageEnclosureDisk", "storageEnclosureDisk", "upload-catalog", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'storageEnclosure'], [], [None]),
        "StorageEnclosureDiskFwHelper": MoMeta("StorageEnclosureDiskFwHelper", "storageEnclosureDiskFwHelper", "drive-fw-update", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'storageEnclosure'], [], [None]),
        "StorageEnclosureDiskSlotEp": MoMeta("StorageEnclosureDiskSlotEp", "storageEnclosureDiskSlotEp", "upload-catalog", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'storageEnclosure'], [u'computeServerRef', u'faultInst'], [None]),
        "StorageEnclosureDiskSlotZoneHelper": MoMeta("StorageEnclosureDiskSlotZoneHelper", "storageEnclosureDiskSlotZoneHelper", "zone-drive", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin"], [u'storageEnclosure'], [], [None]),
        "StorageLocalDiskEp": MoMeta("StorageLocalDiskEp", "storageLocalDiskEp", "upload-catalog", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["admin", "read-only", "user"], [u'storageController'], [u'faultInst'], [None]),
        "StorageSasUplink": MoMeta("StorageSasUplink", "storageSasUplink", "uplink", VersionMeta.Version2013e, "OutputOnly", 0x1, [], ["read-only"], [u'storageSasExpander'], [], [None]),
        "ThermalPowerProfile": MoMeta("ThermalPowerProfile", "thermalPowerProfile", "thermal-prof", VersionMeta.Version2013e, "InputOutput", 0x1, [], ["admin", "read-only", "user"], [u'powerBudget'], [], [None]),
    }
}


METHOD_CLASS_ID = frozenset([
    "AaaGetComputeAuthTokens",
    "AaaKeepAlive",
    "AaaLogin",
    "AaaLogout",
    "AaaRefresh",
    "ConfigConfMo",
    "ConfigResolveChildren",
    "ConfigResolveClass",
    "ConfigResolveDn",
    "ConfigResolveParent",
    "EventSubscribe",
    "EventUnsubscribe",
])


OTHER_TYPE_CLASS_ID = {
    "Method": "imcbasetype",
    "AllbitsFilter": "imcfiltertype",
    "AndFilter": "imcfiltertype",
    "AnybitFilter": "imcfiltertype",
    "BwFilter": "imcfiltertype",
    "ConfigConfig": "imcbasetype",
    "ConfigMap": "imcbasetype",
    "ConfigSet": "imcbasetype",
    "EqFilter": "imcfiltertype",
    "FilterFilter": "imcbasetype",
    "GeFilter": "imcfiltertype",
    "GtFilter": "imcfiltertype",
    "LeFilter": "imcfiltertype",
    "LtFilter": "imcfiltertype",
    "NeFilter": "imcfiltertype",
    "NotFilter": "imcfiltertype",
    "OrFilter": "imcfiltertype",
    "Pair": "imcbasetype",
    "WcardFilter": "imcfiltertype",
}
